Introduction

Computer Aided Resonator Design (CARD) applies quantitative techniques to the design of ultrasonic resonators. These resonators would have low-to-moderate complexity for operation at frequencies up to about 100 kHz. CARD should be especially useful for designing thin, low-stress resonators.

The current version can be downloaded at www.ultrasonic-resonators.org .

Version 10.19a — Copyright © 1985-2018 by Donald R. Culp. All Rights Reserved.


Why CARD?

Introduction ››

Finite element analysis (FEA) can design ultrasonic resonators without CARD's limitations . So why use CARD?

1.Automated design. Typical FEA emulates cut-and-try machining -- i.e., manually change a dimension, check the performance, repeat until the desired performance has been achieved. CARD automates this process -- i.e., the user chooses certain surfaces to be adjusted and CARD automatically adjusts these surfaces (without user intervention) until the specified performance has been achieved. Performance parameters include frequency, gain, and stress.

2.Additional capabilities. As CARD designs a resonator for optimal ultrasonic stress it can simultaneously consider the effect of static loads (both transverse and axial). This is important in the design of slender medical resonators.

3.Easy to learn. Whereas FEA is difficult to learn, CARD can be learned in less than a day.

4.Easy to use. CARD is easy to use through a system of structured menus. None-the-less, the user must have some understanding of basic resonator design in order to evaluate the generated output. (See Warranty and liability .)

5.Cost. CARD is free.

CARD's assistance for resonator design is divided into two main sections.

1.Resonator tuning by impedance matching .

2.Theoretical and empirical equations .

Important — Before beginning be sure to review CARD's limitations and accuracy so that your results may be reasonable.


Warranty and liability

Introduction ››

Warranty and liability

Because CARD's solutions are approximate, it is only intended to provide assistance with resonator design. It is not intended to replace the good judgment of the resonator designer (end user). Neither is it intended to replace finite element analysis (or similar three-dimensional analysis) as the final analysis tool. Therefore, the end user assumes all responsibility for using CARD within its limitations and for proper interpretation of the results produced by CARD.

The author of CARD specifically disclaims all other warranties, expressed or otherwise implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, use, or application. In no event shall the author, assigns, or heirs be liable for any loss of profit or any other damage, including but not limited to special, incidental, or consequential damages.

No oral or written information or advice given by the author or any other person or entity shall create additional warranty or in any way increase the scope of this warranty.


Distribution

Introduction ››

CARD may be freely distributed (not for resale) provided that all original, unmodified files (including documentation) are included. However, the author retains all copyrights.


Author

Introduction ››

CARD and the associated documentation are written by Donald R. Culp.

As of 2018 the author may be contacted at dculp@krell-engineering.com. (Please download the latest version of this document to insure that this contact information is still correct. Also, if your email client allows, you may wish to request a "delivery status notification" to verify that your email has been delivered. This generates an automated response that does not require input from the author.)

Response time from the author will depend on his schedule and the nature of the inquiry.


Support

Introduction ››

If you have questions that aren't adequately covered by this manual or if you want to report bugs, first make sure that you are using the most recent version. If this doesn't resolve the problem then contact the author with the following information —

1.The version that you're using. (The version will be displayed on the splash screen as CARD loads or can be accessed by Alt + A (About).

2.A detailed description of the problem.

1.If the problem is related to a specific menu then please attach a screen shot.

2.If the problem involves a resonator design, please attach the resonator file (if not proprietary).

3.Your operating system and related information.

All constructive feedback is appreciated and will be used to improve CARD.


Download

Introduction ››

If you obtained CARD through a third party then it may not be the latest version. You can download the latest version from the Ultrasonic Resonators website. If this link is not available then do a web search for "Computer Aided Resonator Design".

The download consists of a single setup file that contains the following —

1)CARD executable files (CARD.bat and CARD_.exe)

2)Various configuration files (cfg extensions)

3)Various files to support graphics (typically bgi and chr extensions)

4)A user manual (chm extension)

5)Demonstration resonators


Getting started

Very important

Before proceeding please see -

• Information on viewing the resonator shape .(related to avoiding apparent keyboard freezing)


System requirements

Getting started ››

CARD runs under Windows 7 and higher. (CARD will not run under Windows XP or Windows NT.)

Memory ≈ 13 MB when the user manual is also opened

Disk space ≈ 25 MB


Installation

Getting started ››

Initial installation

Follow CARD's setup CARD_setup_NN.nn.exe where NN.nn is the version number. The folder where CARD is installed should be named to include the version number ⎯ i.e., something like CARD_10.12.

CARD doesn't create any linked folders or modify the registry. Hence, the CARD installation folder and any sub-folders are completely stand-alone. Thus, you can move or copy the installation folder and any sub-folders as desired. The only problem will be that the paths to the most recently used model files will no longer be correct. If needed you can also rename the installation folder.

Subsequent installations

If you install a new version of CARD, you should install it to a new CARD folder. Otherwise, you will overwrite any custom files that may have been created in the older version. These custom files could include the configuration cfg files and the materials and equipment files.

If you want to continue to use these custom files then after you have installed the new version ⎯

1.Check the date of the old CARD folder. This will be the installation date of the old version.

2.In the old CARD folder sort the files by date so that the newest files are at the top. Any files whose date is the same date or newer than the old CARD folder date are those that have been modified since the old installation.

3.Copy the desired files to the new CARD folder, overwriting any existing files.

After installation

After installation please review Critical issues .


Starting

Getting started ››

Using your file manager (typically Windows Explorer), open the folder where CARD was installed.

1.Double click on the file CARD or CARD.bat, whichever is evident.

2.A splash screen will briefly display. After a short delay CARD's Main menu will appear.

See Starting sequence .

Important − CARD will not run properly over a network because CARD will not be able to find the required font files.


Starting sequence

Getting started ›› Starting ››

When CARD starts it attempts to load files in the following sequence --

1.CARD first checks to see if you have entered a resonator filename on the command line. If you include this filename, than CARD will automatically load this file when CARD starts.

Note − If a command-line file is loaded, then the parameters of this file take precedence over CARD0001.cfg, discussed in the next paragraph.

2.If there is no command-line filename, then CARD searches for a configuration file named CARD0001.cfg. This file contains user-definable defaults (e.g., equipment configurations, materials, etc.). This file has the same format as any resonator file that you would save from within CARD.

A sample CARD0001.cfg file is included with CARD. You can modify the configuration defaults and save these new defaults to disk from within the Configuration menu .

3.CARD then searches for a setup file named CARD0002.cfg. This file contains user-definable defaults (e.g., mouse settings, printer settings, etc.).

A sample CARD0002.cfg file is included with CARD. You can modify the setup defaults and save these new defaults to disk from within the Setup menu .

If CARD cannot find the CARD0001.cfg or CARD0002.cfg files then CARD will use the defaults that have been programmed into CARD. These defaults will probably not be exactly what you need but will be sufficient to get you started.


Nomenclature

Getting started ››

The following nomenclature is used throughout CARD.

Resonator

The resonator consists of all components in the CARD model. A simple resonator might consist of just a horn. A complex resonator might consist of a transducer + booster + horn.

The resonator must consist of a multiple of longitudinally resonant half-wave sections or components. For example, if the resonator consists of a transducer + booster + horn then each of these components is assumed to be a multiple of longitudinally resonant half-wave sections. Then the horn could be one half-wave, two half-waves (i.e., a full-wave), three half-waves, etc.

Horn

The horn is the component that delivers the ultrasonic power to the load. (The load could be a liquid, plastic, metal, biologic tissue, etc.) The horn may also be called a probe (particularly for medical applications) or sonotrode.

Stud axis

The stud axis is an imaginary line that extends through the resonator, coincident with the centerline of the stud. This assumes that a central stud is used to assemble the resonator stack.

•Horn. A horn will have one stud on its input surface.

•Booster. A booster will have a stud on its input surface (to connect to the transducer) and another stud on its output surface (to connect to the horn or probe).

•Transducer. A transducer will have one stud on its output surface (to connect to the booster, if present, or the horn or probe.)


Keys

Getting started ››

Keys used by CARD are grouped in the following categories —

General

Quick option

Special Ξ

Graphics

Shape editor

Analysis

Other

Note — Some keys must be pressed in combination. This is shown as a + between the keys, which indicates that the first key must be pressed and held, and then the second key must be depressed.

Example — Alt + H --- press and hold the Alt key, and then press the H key. (This particular key combination causes the help window to open.)

Press K from any menu to show this information.


General keys

Getting started ›› Keys ››

The following keys (or key combinations) are available throughout CARD. However, in certain situations some keys may not be permitted due to conflicts.

Top level (bar) menus

Top level menus (referred to as bar menus) are accessed by pressing-and-holding the Alt key and then pressing the highlighted character of the desired bar menu. For example to access the File menu press Alt+F.

Menus

The following keys move the cursor around the menu options.

Key | Purpose | Notes
↓ or Space-bar | Move to next option | If the cursor is at the last menu option, then it will jump to the first menu option.
↑ | Move to previous option | If the cursor is at the first menu option, then it will jump to the last menu option.
Home | Move to first option |
End | Move to last option |
Page Up | Move to a similar menu on the same subject | Example: if the menu shows a list of bolt dimensions, Page Up will display dimensions for the next smaller size bolt. Only available for some menus.
Page Down | Move to a similar menu on the same subject | Example: if the menu shows a list of bolt dimensions, Page Down will display dimensions for the next larger size bolt. Only available for some menus.
◄─┘ (Enter) | Access option or accept entry | Accessing a forbidden option is not permitted.
Esc | Exit menu or cancel the current operation without change |
F1 | Option help |
Insert | Jump between Options and Results | Only available if Results exist for that menu.

Editing entries

When editing an entry , CARD uses standard Windows editing methods.

Key | Purpose | Notes
→ | Move cursor right one character |
← | Move cursor right one character |
Ctrl + → | Move cursor to next word |
Ctrl + ← | Move cursor to previous word |
Home | Move cursor to beginning of entry |
End | Move cursor to end of entry |
◄─┘ (Enter) | Accept entry |
Esc or Ctrl + X | Exit entry, keep original value |
Insert | Change between overtype & insert modes | Overtype is the default
Ctrl + Y | Delete from cursor to end of entry |


Quick option (hot) keys

Getting started ›› Keys ››

The following letter keys give quick access to certain menu options. These are referred to as "hot" keys.

Example - Using conventional menus the Graphics options menu can be accessed by \Preferences\Setup\Graphics. However, it can be accessed quicker by just pressing G.

Note: keys that are shown in upper case can be accessed from any menu in CARD. Keys that are shown in lower case can only be accessed from the menu in which they appear. However, regardless of whether the hot key is displayed in upper case or lower-case on the screen, you can use either case to activate the hot key option.

Example: the Graphics options menu [G] can be accessed from any menu (by pressing G or g), whereas the slice option [z] is local to the Checklist menu and can only be accessed from the Checklist menu (by pressing Z or z).

Key | Purpose | Conventional menu location
B | A database of standard bolt sizes | \Equation\Other\Bolt dimensions
E | Calculates equivalent geometry for asymmetric entities (e.g., flats on a cylinder) | Equations\Other\Equivalent geometry
G | Menu for adjusting how the graphics are displayed | \Preferences\Setup\Graphics
K | Displays keyboard help | -----
M | A menu of available materials for the current resonator. In the Shape editor this displays the material corresponding the currently active surface. | \Main menu\Materials\Resonator materials
O | Open a resonator file | \File\Open
S | Save the current resonator | \File\Save
T | Estimate the tuned length if length-frequency data are available from previous tuning attempts | Equations\Axial resonance\Tuning estimate
F1 | Menu option help | -----
F9 | View a cross-section of the resonator shape |
F10 | Change units (metric ↔ English) | \Preferences\Setup


Special keys ≡

Getting started ›› Keys ››

Some menu options or keys may be preceded by a "≡". This indicates that additional functionality is available when the option is accessed with the Ctrl key or, occasionally, the Shift key.

Examples

See Materials Automatic property calculation and Shape editor F3 (set reference) key.


Graphics keys

Getting started ›› Keys ››

Certain keys are active while a graph is displayed.

Cursor keys

When a graph is displayed, a graphics cursor (typically a cross-hair) will track along the curve (either exterior/interior surfaces or data curves).

Key | Purpose | Notes
→ | Moves cursor one step right |
← | Moves cursor one step left |
Ctrl + → | Moves cursor 10 steps right |
Ctrl + ← | Moves cursor 10 steps left |
Home | Moves cursor to beginning of graph |
End | Moves cursor to end of graph |
↓ or ↑ | Jumps the cursor between the upper and lower curves if two curves are displayed. | If a resonator shape is shown without any data curves and if the resonator has an interior then the jump will be between the exterior and interior surfaces. If two data curves are simultaneously shown (e.g., static axial stress and static bending stress) then the jump will be between the two data curves.

Note − Each time you move the cursor the graphics window will be redrawn. This can be a slow process while the resonator shape is being hatched. You can increase the redraw speed considerably by turning off the hatching .


Shape editor keys

Getting started ›› Keys ››

See here .


Analysis keys

Getting started ›› Keys ››

The following keys are available as the resonator is being analyzed (sliced).

Key | Purpose | Notes
↓ | Decreases the slicing speed if the slice speed is not already minimum | Useful on very fast computers in order to see the individual slices (e.g., to see that slicing is proceeding properly). A tone may sound — the higher the pitch of the tone, the greater the slice speed.
↑ | Increases the slicing speed if the slice speed is not already maximum | A tone may sound — the higher the pitch of the tone, the greater the slice speed.
1 — 0 | Sets the slice speed 1 = slowest 0 (representing 10) = fastest | Must use the number keys at the top of the keyboard
Esc | Cancels slicing | Before returning to the Main menu you must choose whether to keep or discard the sliced design at that point.
Any key except Esc | Pauses/resumes slicing |


Other keys

Getting started ›› Keys ››

Key | Purpose | Notes
Delete | Deletes a standby material |


Menus

Getting started ››

Except for the Shape editor, all menus have the same appearance. A typical menu is shown below.

FILE PREFERENCES GRAPH EQUATIONS HELP ABOUT Metric [F10]

UNSHAPED CYLINDRICAL HORN PERFORMANCE
Information
Material ................................. Ti-6Al-4V rod
Frequency ................................ 20000 Hz
Horn diameter ............................ 40.00 mm
Uniformity diameter ...................... 10.00 mm
Graph

Information [Results]
Uniformity at horn edge .................. 0.957
Uniformity at specified diameter ......... 0.997
Face radial amplitude .................... -0.001
Node radial amplitude .................... -0.166
Nodal strain ............................. 0.00001267
Half-wavelength .......................... 125.68 mm
Face tuning rate ......................... -156.2 Hz/mm

┌─────────────────────────────────────────────────────────────────────────────────┐
│ [Message window] │
│ │
│ │
│ │
├─────────────────────────────────────────────────────────────────────────────────┤
│ [Error window] │
│ │
├─────────────────────────────────────────────────────────────────────────────────┤
│ [Prompt window] │
│ │
└─────────────────────────────────────────────────────────────────────────────────┘

The menu sections are as follows (in the order that they appear on the screen).

•A Bar menu at the top. This fixed menu contains options for File, Preferences, Graph, Equation, Help and About. These are accessed by pressing Alt plus the first letter of the option (e.g., Alt+F to access File).
At the right of the Bar menu is a text box that shows the current units (either metric or English).

•A menu title

•A list of options (indented below the menu title). Each option is one of two types.

oSub-menu. The option lead to a sub-menu. Esc as needed to return to the parent menu.
Note: the Input checklist and the Tuning checklist complete a circular path of menus before returning directly to the Main menu.

o Data entry . This will be recognized by the data value that appears to the right of the option.

•A list of results (if results have been calculated). Accessing any of these results will provide information about the result (if such information is available). Press Insert to jump between the options and results.

•Several boxed windows for general messages, error messages and prompts.

Note: For most menus the first option is an Information option. This option provides general information about the purpose of the menu. In some cases no information is available, either because the purpose of the menu is self-evident or because no information has yet been developed.


Exiting a menu

Getting started ›› Menus ››

The method for exiting a menu will depend on the menu type.

•Data entry. After you have entered/edited all of the required data fields, just Esc to preserve these values and exit.

•List. A menu may have a list from which you must select an item (e.g., a list of materials). Move to the desired item and ◄─┘ (Enter). (Note: some lists show the current selection with a ». If this is acceptable then you can just Esc to exit.)


Menu option colors

Getting started ›› Menus ››

Irrelevant menu options (brown text)

An irrelevant option is one that has no effect on the result. If you enter a value for such an option, the value only gives information. This is typical of the material property menus where some of the material properties may not be relevant to the particular calculation.

Note — The status of an irrelevant option may change, depending on the context in which the menu has been called. For example, in the material properties menu, Poisson's ratio may be relevant in some cases and irrelevant in others.

Status options (gray text)

Status options give information for quick reference. These options are normally indented from the other menu options. For example, one of the status options of the Main menu shows the resonator type (e.g., Cylindrical, Bar unslotted, Bar slotted, etc.). Status options can't be accessed or changed.

Optional menu options (white text)

An optional option is one that is used to calculate a secondary (less important) result, rather than the primary result. These options can be either used or ignored, depending on your requirements.


Menu symbols

Getting started ›› Menus ››

The following symbols may appear in front of certain menu options.

≡ — Option with additional functionality

This indicates that additional functionality is available when the option is accessed with the Ctrl key or, occasionally, Shift key. This is most often encountered with a list of material properties where ≡ is displayed in front of the Thin-wire wave speed, Modulus of elasticity, and Density options.

> — Accessed option

This indicates that this menu option has been accessed during the current session with this menu. This helps to keep track of which menu options may have been changed.

» — Currently selected option

When a list of options is shown, this indicates the currently selected (default) option.

√ — Active resonator material

In the list of resonator materials, this indicates that a material is active (used by at least one surface of the current resonator). If this symbol is not displayed then the material is inactive/standby (unused but available). Inactive materials can be deleted from the list (with the Delete key); active materials can't be deleted.

* — Invalid entry

This indicates an option value that is not acceptable (invalid), either because it is outside the acceptable range or because it conflicts with another option. Calculations will not proceed until all invalid values have been corrected. In some cases you cannot exit the menu until all invalid values have been corrected since this would likely cause CARD to crash (e.g., division by zero).

Example — conflicting dimensions

A menu initially shows the following values for a cylinder whose maximum diameter must be less than 30 mm.

Cylinder outer diameter .................... 15 mm
Cylinder inner diameter .................... 10 mm

Now suppose that you change the inner diameter to 20 mm.

* Cylinder outer diameter .................... 15 mm
* Cylinder inner diameter .................... 20 mm

Both of the cylinder dimensions are less than 30 mm (as required). However, one of these two values is in error (as indicated by the * in front of the options) since a cylinder cannot have an inner diameter that is greater than its outer diameter. Since CARD can't determine which of the values is improper it simply marks both conflicting options.

In this case you can correct the problem by either reducing the inner diameter to below 15 mm or increasing the outer diameter to above 20 mm.

Example — conflicting material properties

A menu initially shows the following material properties.

Ultimate strength ........................... 895 MPa
Yield strength .............................. 825 MPa

Now suppose that you change the ultimate strength to 700 MPa.

* Ultimate strength ........................... 700 MPa
* Yield strength .............................. 825 MPa

Since a material's ultimate strength can't be less than the material's yield strength, CARD marks both conflicting options until you correct the problem.

X — Forbidden option

This indicates an option that can't be accessed (i.e., a forbidden option). This can occur in the following circumstances.

1.Conflicting values. If certain values conflict then an associated menu option may be forbidden. In the above example of conflicting material properties, the Save properties option will be forbidden, thereby preventing you from saving invalid properties.

2.Option not functional. In some cases an option is not functional but is simply listed as a placeholder for future development.

Note: even when a topic is forbidden you can still get help information about the option which may explain the problem.

Also see Shape editor symbols .


Data entry

Getting started ››

All data can be edited by moving the cursor to the desired option and then pressing ◄─┘ (Enter). An inverse data entry field is created and the current value is shown. The default edit mode is overtype. (Pressing the Insert key to toggle by edit mode between overtype and insert.)

While in the data entry field, use Windows standard editing methods to move the cursor to the desired edit position.

Suggested entry

In many cases CARD will suggest an entry.

Invalid characters

An invalid character is any character that is unsuited for the required entry type. For instance, if you are making a numeric entry, then only numeric characters can be used. If you enter an invalid character (e.g., the letter O instead of the number zero 0), the CARD will beep and the cursor will remain at the invalid character. A short explanatory message will appear toward the bottom of the screen.

You do not have to erase the invalid character. You can simply continue with the entry and the invalid character will be overwritten.


Numeric entry

Getting started ››

When entering numeric data, CARD will often show a range of permitted values in the prompt window. These values are based on -

•Physical limits. For example, a resonator can't have a surface whose thickness is less than zero.

•Practical limits. CARD tries to prevent accidental entry errors by imposing practical limits on some parameters. For example, CARD limits a material's density to a range between 1000 kg/m3 (approximate for magnesium) and 20000 kg/m3 (approximate for tungsten carbide) since normal acoustic materials would not fall outside this range.

•CARD's analysis limits. Because CARD performs a one-dimensional analysis, certain dimensional limits are imposed. For example, CARD would give unrealistic results if very large diameter resonators were permitted. Therefore, CARD imposes a diameter limit (based on frequency).

Example

A typical prompt message would be —

OK RANGE = 15.1 → 140.7 (EXCLUDED = 62.5)

This means that any value between 15.1 and 140.7 (including these values) is permitted. However, the value 62.5 is not permitted. If no value is indicated then all values are permitted.

Problems — roundoff error

Occasionally you may receive a message that the value that you have entered is not permitted, even though it appears to be acceptable. This is due to internal roundoff error. For instance, in the above example you might receive an error message if you enter a value of 140.7. This is because the actual acceptable value is 140.693 which has been rounded to 140.7 for display.

To overcome this problem just enter a value that is slightly smaller or larger than your desired value. Continuing with the above example, you could use a value of 140.6. This small change would not normally affect CARD's analysis.

Invalid entries

If an option is preceded by an X then that option value is invalid .

Overriding

If you are sure that the value that you wish to enter is acceptable then you can override CARD's numeric limits (\Preferences\Setup\ Override ).


Units [F10]

Getting started ››

The current units (metric or English) are shown in the upper right of CARD's window. The units can be changed with the F10 key. The default units can be set in \Preferences\Setup.

When the units are changed, the display of all numeric data throughout CARD is changed, including any printed output.

You can use the F10 key to temporarily change the units. For example, if your design uses metric units but a particular material property is only available in English units, then temporarily change the units to English, enter the material property, then change back to metric for the remainder of your design.

Units can't be changed when the cursor is in a data entry field.


Undo

Getting started ››

CARD has no undo capability except in the Shape editor . Therefore, you should save the design frequently. When in doubt, save the design to a different file name after each series of changes or runs (e.g., with file names like Horn1a, Horn1b, Horn1c, etc.). Then, if needed, you can reload one of these previous designs.


Getting help

Getting started ››

Global help

Alt+H shows this document as a Windows help file. This document can also be invoked separately by double clicking on it in Windows Explorer.

Navigating

The left panel of the Contents tab shows the help structure. You can expand this structure in order to see all sub-topics. This is especially helpful if you want to see the menu trees ( Bar menus , Analysis menus , Equations menus ).

1.Click on the Contents tab.

2.Right-click on any topic.

3.Click Open all.

The right panel of the Contents tab shows a particular topic. Below each topic heading is a path (breadcrumbs) to the topic. You can click on any of these breadcrumbs to take you to that location.

Information

An Information option is usually the first menu option. This option shows the purpose of the menu and any peculiarities of the menu. (For many menus the purpose is self-evident so no information may be available.)

F1 help key

The F1 key will invoke help for the menu option adjacent to the cursor.

Shape editor

In the Shape editor , pressing Alt + one of the shown function keys will show help for that function key. For example, Alt+F5 will show help about the F5 (Finish) key.

Glossary

Information about specific resonator terms or material properties can be found on Ultrasonic Resonators website.

Support

See here .


Uninstalling

Getting started ››

CARD can be uninstalled via Windows Control Panel. Alternately, run Unins000.exe from the installation folder.


Analysis method

This section shows the general method used by CARD to design resonators. You should pay particular attention to the limitations imposed by the impedance matching algorithm.

Impedance-matching method

CARD uses a method called impedance matching to determine the resonator performance characteristics. In this method the resonator is divided into a large number of thin slices (like slicing a salami). Each slice is perpendicular to the resonator's stud axis and extends entirely across the thickness (or diameter) of the resonator. (See figure nnn.)

Starting from the left surface (surface 0, typically the stud surface), each slice is analyzed in-turn until the right end of the resonator is reached, which is determined by when the resonator stress decreases to zero. This process is repeated several times until a specified convergence criterion is achieved.

One-dimensional analysis

In CARD's analysis all acoustic parameters are assumed to be constant within each slice. Hence, parameters such as stress and amplitude cannot vary across the resonator thickness or diameter but can only vary along the resonator length. Thus, CARD gives a one-dimensional analysis of what is actually a three-dimensional acoustic phenomena. ("One dimensional" means that all performance characteristics are determined by specifying a single coordinate — the coordinate of the distance along the resonator's axis, measured from the left surface.) Although CARD uses only a one-dimensional analysis, it does use the Mori equation to account for the decrease in wave speed that occurs as the resonator cross-sectional dimensions increase. Thus, "fat" resonators will have shorter tuned lengths than the equivalent "thin" resonators, which is consistent with theoretical and empirical studies.

See accuracy .

Effect of stack

CARD predicts the performance of the resonator alone. It cannot account for the effect of the other stack components (e.g., transducer and/or booster) unless these are explicitly included as part of the analyzed resonator.

For example, suppose that you have a stack that consists of a transducer and resonator whose combined frequency is 19600 Hz. The stack frequency of 19600 Hz is the weighted average of the resonator and transducer, depending on the relative energy storage of the resonator in comparison to the transducer. Hence, if the transducer by itself is properly tuned to 19950 Hz, then the actual resonator frequency will not be 19600 Hz. Instead, it will be somewhat lower. Also, if you measure the gain of this resonator , the measured gain will probably be higher than the actual gain, depending on your measurement technique. If you then use these values to calibrate CARD, the calibration will be somewhat incorrect. The error will usually be small if the stack frequency is close to the nominal transducer frequency.

This limitation has nothing to do with the impedance matching method. You would have the same limitation if you analyzed the resonator using finite element analysis. This limitation simply reflects the fact that you are modeling only the resonator, not the entire stack.


Limitations

Analysis method ››

Because CARD uses a one-dimensional analysis , there are limitations on the parameters that can be calculated. Amplitude uniformity cannot be calculated, since the amplitude is not permitted to vary across each slice. Similarly, the frequencies of nonaxial resonances cannot be determined. However, this is not a severe limitation since many resonators for which CARD is suitable do not have problems with nonaxial resonances.

Orthotropic material properties

A one-dimensional analysis also assumes that transverse material properties do not affect the resonator performance. This is not a problem for materials such as aluminum, which is reasonably isotropic (i.e., the material properties are the same in all directions). Titanium bar, however, is somewhat orthotropic and so is somewhat less suited to a one dimensional analysis. (Note, however, that finite element analysis may also ignore the effect of orthotropic material properties.)


Permitted resonator types

Cylindrical

Cylindrical resonators have a cylindrical cross-section. They may have an interior (bore or cavity). (An interior is not permitted for non-cylindrical resonators.) Slotted cylindrical resonators (either cross-slotted or radially slotted) are not permitted.

Flatted cylindrical

A flatted-cylindrical horn is an unslotted horn that is machined from cylindrical stock. In the front section, two flats are machined on opposite sides of the cylinder to form a blade or chisel shape. Note that once the flatted section has started, it must continue to the end of the resonator (i.e., the shape can't later revert to cylindrical).

Bar

Bar resonators have a rectangular cross-section. They can be either unslotted or slotted through the thickness. Bar resonators cannot have risers.

Block

By definition, block resonators have a rectangular cross-section with slots through each of the four sides. Because these resonators have large cross-sections, CARD does not attempt to determine the amplitude distribution or the stress. CARD only calculates the tuned frequency or tuned length.

All resonators must meet certain geometry requirements .

The resonator type can affect the accuracy of CARD's predictions.

Slot notes

Equal elements


Geometry requirements

CARD has two geometry requirements.

Constant cross-sectional shape

The resonator's cross-sectional shape can't change along the length of the resonator. Thus, for example, if the resonator shape starts with a circular cross-section then the circular cross-section must continue until the end of the resonator. However, the cross-sectional dimensions (e.g., diameter) can be adjusted anywhere along the resonator's length. (Note: an exception is the flatted-cylindrical resonator .)

The requirement for constant cross-sectional shape can be evaded by using equivalent geometries (below).

Axial symmetry

When looking at the resonator from the side (i.e., as seen in the graphics view), the resonator cross-section must be symmetric about the stud axis (i.e., the cross-sectional shape above the stud axis must be the same as the shape below the stud axis). In theory, then, a resonator with asymmetric face contours, asymmetric face bevels, etc., would not be suitable for CARD analysis. However, if this asymmetry is not severe then it can be overcome by converting the asymmetric detail into a symmetric detail that has the same cross-sectional area.

If an asymmetric detail has the same cross-sectional area along an entire interval then it can be replaced by a single equivalent symmetric detail. For example, consider a 25 mm diameter cylindrical resonator with a set of flats that extends from X1 to X2. The distance across the flats is 20 mm. In the interval between X1 and X2 the calculated cross-sectional area is 439.8 mm2. If this cross-section were actually a circle then the diameter (corresponding to the calculated area) would be 23.66 mm. Hence, the flats can be replaced by a 23.66 mm equivalent diameter.

The same process can be applied to more complex geometries — for example, a knife blade. The process is -

1.Divide the asymmetric detail into a series of short surfaces (like slicing a salami).

2.Calculate the cross-sectional area of each of these surfaces.

3.For each calculated cross-sectional area, calculate an equivalent diameter or thickness (depending on the resonator type).

4.Enter this equivalent diameter or thickness in the Shape editor .

Equivalent geometry menu

CARD facilitates the above process with an Equivalent geometry menu . This menu is located in Equation\Other or can be accessed from any location by pressing E. There you can enter the cross-sectional dimensions and CARD will calculate the equivalent diameter, together with the cross-sectional area. See an example there.

Wrench flats

If wrench flats exist then they must be incorporated as an equivalent diameter. This can be done in the Shape editor by adding a Straight surface at the location of the wrench flat. The required diameter of this surface can be calculated using the Equivalent geometry menu. However, there is an easier way.

When you choose your equipment (Main menu\Equipment) you can choose the dimensions for wrench flats. Then CARD automatically calculates the equivalent diameter and incorporates this in the model. The flats are shown as dashed lines when viewing the resonator shape.(Note that the "wrench flats" can be used for any kind of flats, not just wrenching flats.)

Spanner holes

The wrench flat discussion above also applies to spanner holes.


Accuracy/Suitability

CARD's accuracy can't be specified in absolute terms. However, it should generally give a reasonable estimate of the resonator's performance if the resonator's material properties are well known and if the resonator's geometry is suitable for a one-dimensional analysis .

CARD is most accurate for the following geometries —

1.Slender resonators (the thickness is relatively small compared to the resonator's half-wavelength)

2.Resonators with smooth, gradual geometry changes, especially around the node. Thus, sharp steps should be avoided. (This is true in any case since such steps can have high stresses.)

Radii will introduce some inaccuracy, especially if these are located in high-strain areas (e.g., around the node). This is because these radii will distort the amplitude field such that the amplitude is no longer constant across each slice (i.e., the assumption of one-dimensional performance is violated). Consider, for example, for a resonator with a radius near the node. In this case the node will no longer be planar and perpendicular to the stud axis but, instead, will have a parabolic shape.

3.Resonators with small cavities. If a resonator has a cavity then it's diameter should be small compared to the resonator's half-wavelength. This is because resonators with large cavities, such as bell horns, usually have significant radial motion of the cavity walls which tends to invalidate a one-dimensional analysis.

To improve CARD's accuracy a Calibrate mode has been provided. This allows CARD to be calibrated against a similar resonator of known performance.

Again, it must be stated that CARD is intended to provide assistance with resonator design. It is not intended to replace the good judgment of the resonator designer. Neither is it intended to replace finite element analysis (or similar three-dimensional analysis) as the final analysis tool.


Tuning modes

For ultrasonic resonator design there are three inter-related factors: the resonator material, the resonator dimensions, and the resonant frequency. If any two of these are known then the third can be determined.

The analysis portion of CARD is organized into three tuning methods (Calibrate, Auto-tune, and Manual tune) to consider each of the above three factors.

• Calibrate . Calibrates the material wave speed so that the resonator tuned length is correct and calibrates the Gain correction factor so that the gain is correct. This option should usually be run first.

• Manual tune . Calculates the resonator frequency based on fixed resonator dimensions that have been entered by the user.

• Auto-tune . Automatically adjusts a selected resonator dimension (resonator length, resonator thickness, step position) to achieve the user-specified tuned frequency. During auto-tuning CARD can also automatically optimize performance .

The following auto-tune modes are available ⎯.

Auto-tune length
Auto-tune step
Auto-tune thickness
Auto-tune gain (variable resonator length)
Auto-tune gain (fixed resonator length)
Auto-tune stress
Auto tune stress with static forces

The current tuning mode can be set from Main menu\Input checklist.

The default tuning mode can be set from Preferences\Setup.


Calibration

Tuning modes ››

The calibrate mode calibrates a resonator of known materials, dimensions, frequency, and gain. This calibration improves CARD's accuracy when subsequently using either the auto-tuning or manual-tuning modes. Therefore, the calibration (if needed) should be run before any other tuning modes for a given resonator design.

Note — Calibration is only needed if you are analyzing a resonator from the Main menu. It is not needed for material properties in the Equations section.

Calibrating the wave speed

There are three issues that may reduce the accuracy of CARD's results.

1.The material properties may not be accurate. In particular, CARD relies on the thin-wire wave speed (the speed of a longitudinal wave traveling down a thin wire or rod) for many of its calculations.

Example. You are designing a bar resonator made of titanium. Because titanium is orthotropic (i.e., the wave speed depends on the grain direction relative to the direction of vibration) and because its properties may depend on the raw-material stock size, handbook property values would give only an approximate estimate of the thin-wire wave speed.

2.Some portions of the resonator shape may violate CARD's assumptions of one-dimensional analysis . (Also see accuracy .)

3.Some portions of the resonator are not easy to characterize. This particularly relates to interfaces (e.g., at joints and threads) or coatings (e.g., of the ceramics).

To accommodate these issues, CARD provides a calibration mode. In this mode CARD artificially adjusts the thin-wire wave speed (the speed of a longitudinal wave traveling down a thin wire or rod) until CARD's results substantially match that of a known calibration resonator.

Calibrating the gain

In addition to calibrating the thin-wire wave speed, CARD can simultaneously calibrate the resonator gain by adjusting the gain correction factor. For many resonators the exact gain is not critical so the default gain correction factor will give acceptable results.

The calibration resonator

The method used by the Calibrate option is very straight forward. First, you must find an actual resonator whose frequency and shape are similar to the resonator that you want to design with CARD. Of course, the material must also be the same. This resonator is your "calibration resonator". If you are modifying an existing resonator then you can simply use that resonator as the calibration resonator.

Note that the shape of the calibration resonator does not have to be exactly the same as your proposed resonator. For instance, suppose you want to design a titanium exponential resonator but you don't have any titanium exponential resonators from which the wave speed can be determined. Then you could use a titanium catenoidal resonator (or, less desirably, a stepped cylindrical resonator) in the place of the exponential resonator to provide the wave speed calibration.

Of course, you will achieve the best results when the calibration resonator is very similar to the resonator that you want to design. For instance, if you are designing an exponential resonator then you should not use a bell resonator as the calibration resonator because their shapes are too dissimilar.

Calibration procedure

1.Choose the calibration resonator.

2.Measure the frequency and, if needed, the gain.

3.Select the Calibrate mode from the sub-menus of the Main menu\Input checklist.

4.Enter the measured frequency and gain in the General requirements menu (a sub-menus of the Main menu\Input checklist). (Note: if you need the a calibrated gain or don't know the gain of the calibration resonator then just enter 0 for the gain and CARD will skip any gain calibration.)

5.Enter your best estimates for the material properties for each of the resonator materials. These can be handbook values unless you have better information. (In many cases the resonator will be made of a single material.) One source for material properties is www.matweb.com .

Note — The thin-wire wave speed is often not listed in handbook properties. However, CARD can automatically calculate this value (which is required) after the modulus and density have been entered.

6.Enter the shape and materials of the calibration resonator in the Shape editor .

7.Choose the calibration material in the Main menu\Tuning checklist menu.

8.Save and analyze.

Choosing the calibration material

After you have chosen to calibrate the resonator and have input the resonator shape, you will have to choose the calibration material in the Main menu\Tuning checklist. This is required even if the resonator is made of a single material. Otherwise, CARD will not analyze the resonator.

Resonators with a single material

For a resonator made of a single material, you can enter any reasonable initial thin-wire wave speed in the material properties menu. (Many acoustic materials have a wave speed near 5000 m/sec.)

Resonators with multiple materials

If the resonator is made of multiple materials then you must decide which single material will be calibrated. There are two considerations.

1.Material with questionable properties. Choose the material whose thin-wire wave speed is the least well known.

2.Material with significant strain energy. Choose the material that will experience high volumetric strain or stress (i.e., high strain or stress over a significant volume of material). (High volumetric strain will occur in the nodal regions of a resonator.) Then a small change in its wave speed will have a significant effect on the frequency of the resonator.

Ideally your calibration material will satisfy both considerations (e.g., piezoelectric ceramics (whose wave speed may not be well known) that are located near a transducer node). However, in some cases these considerations may conflict. For example, you may have a material whose properties are somewhat questionable (satisfying the first requirement) but that material may be positioned in the resonator where it has relatively low strain energy. The opposite condition could also be true.

Example 1 — Titanium horn with steel tip

Suppose you are designing a titanium horn with a steel tip. The tip is far from the node and so has relatively low strain energy compared to the titanium portion. If you chose to calibrate the resonator based on the wave speed of the steel tip then the wave speed of the steel tip would have to change drastically in order to have a relatively small effect on the resonant frequency. For example, the wave speed might have to increase from 5000 m/sec to 15,000 m/sec in order to tune to the measured frequency. This wave speed is obviously incorrect since most steels have a wave speed near 5000 m/sec.

On the other hand, if titanium had been chosen as the calibration material then a small change in its wave speed would yield a relatively large change in frequency. Thus, for example, the final titanium wave speed might only change by 500 m/sec which could still be reasonable compared to the handbook value.

Example 2 — Transducer

Suppose you are designing a piezoelectric transducer for which the back driver, electrodes, piezoelectric ceramics, and front driver are all made from different materials. You should not select the electrodes as the calibration material since the electrodes are thin and are not a significant portion of the total transducer energy. Thus, to achieve a small change in the resonator frequency, the wave speed of the electrodes would have to be changed by a very large amount. If the front driver were made of a well characterized material (e.g., aluminum) then the ceramics would be the obvious choice as the calibration material. If the front driver properties were less well known (e.g., possibly titanium) then both the ceramics and front driver could be evaluated separately as the calibration material. The ultimate choice would then depend on minimizing major deviations from nominal (expected) properties. (See Error checking below.)

Distinct materials

Although two parts may have nominally the same material, you may want to designate these as separate materials in order to calibrate.

Example 3 — Horn + booster

Suppose you are designing a stack that consists of a Ti-6Al-4V booster and an attached Ti-6Al-4V horn. If you assign a single material for both the booster and horn then CARD will calibrate the materials of both the booster and horn together. This may be what you want.

However, suppose you have previously calibrated the wave speed of the booster and now only want CARD to calibrate the horn material. The way to do this is to assign different titanium materials to the booster and horn. Thus, you might assign a material "Ti-6Al-4V booster" to the booster and a separate titanium material ("Ti-6Al-4V horn") to the horn. Then you can select "Ti-6Al-4V horn" in the Main menu\Tuning checklist. (Note: the material names can be changed as you wish.)

Initial material properties

For the calibration material you can use any reasonable initial estimate for the thin-wire wave speed. The thin-wire wave speeds of any remaining materials must be reasonably close to their actual values (handbook values should be sufficiently accurate).

Analysis method

CARD begins slicing the resonator from surface 0. It continues slicing along the stud axis until it finds a position where the axial stress is zero at the specified number of half-wavelengths. This is the length required to make the resonator vibrate at the specified frequency. However, this calculated resonator length may be different than the resonator length that was initially specified in the Shape editor. This indicates that the thin-wire wave speed is not correct.

In this case, CARD estimates a new wave speed. If the calculated resonator length was shorter than the specified length then the estimated wave speed is too high so CARD will reduce the wave speed. Conversely, if the calculated resonator length was longer than the specified length then the estimated wave speed is too low so CARD will increase the wave speed. After estimating the wave speed, slicing begins again from surface 0.

This process continues until the calculated resonator length is the same as the specified resonator length at which point the wave speed is correct. However, if the calculated gain doesn't agree with the measured gain then CARD will estimate a new gain correction factor.

This process is repeated until both the thin-wire wave speed and gain are calibrated.

Limits

If the calculated thin-wire wave speed is outside of reasonable limits (typically less than 1000 m/sec or greater than 15000 m/sec) then the analysis will abort and an error message will be displayed.

Error checking

After calibration analysis you should compare the calibrated thin-wire wave speed to a handbook value (see subsequent note). You should probably expect that the calibration value will be within ±10% of the handbook value. If the difference is larger then you should consider the following —

•Are your inputs correct (e.g., the dimensions, frequency, material properties for all of the non-calibrated materials)?.

•Does the calibration material have high volumetric strain (i.e., a large volume located near a node)?

If both of the above conditions are correct and the calibrated thin-wire wave speed still seems abnormal then the resonator may not be suitable for CARD's one-dimensional analysis.

Note — During the calibration process CARD automatically determines a calibrated thin-wire wave speed. However, this value is generally not available in handbooks. Instead the handbook will likely give the modulus of elasticity and density. If the density is assumed to be accurate then the modulus (for the calibrated thin-wire wave speed) can be determined by the method discussed here (see example 2).

Applying the calibration results to other resonators

After calibrating one resonator material you may be tempted to apply the resulting properties to another resonator or resonator material. This is appropriate if the two resonators are similar (same nominal material and similar geometries) For example, this would be appropriate if you calibrated an exponential horn and then used the same calibration values for a catenoidal horn or if you calibrated a long, thin probe and then used the same calibration values for a similar long, thin probe. Conversely, if you calibrated an exponential horn then you should not apply those calibration values to the design of a bell resonator because the resonator shapes are too dissimilar.

Effect of wave speed calibration on other material properties

Normally the thin-wire wave speed, modulus of elasticity, and density are interrelated so that if any two are specified, the third is exactly determined. However, this is not true for CARD. (See Interrelation of material properties .)

Therefore, when CARD calibrates the thin-wire wave speed, CARD does not automatically adjust the modulus or the density. Instead, you should use handbook or test values for the modulus and density, regardless of the thin-wire wave speed that CARD calibrates.


Auto-tuning

Tuning modes ››

In the auto-tune mode, CARD automatically adjusts a selected resonator dimension (resonator length, resonator thickness, step position) to achieve the user-specified tuned frequency. Because CARD is not limited to working with a physical resonator, it can actually "add" material to the resonator to achieve the proper tuning. For instance, a resonator that is tuned in the Auto-tune length mode may end up longer than the starting configuration if this is required to achieve the specified tuning frequency.

Three auto-tune modes are available —

• Auto-tune length . The length of a specified surface is stretched or shrunk as required. The overall resonator length is correspondingly changed. During this process CARD can also automatically optimize performance (gain or stress).

• Auto-tune step . The position of a specified surface is automatically adjusted parallel to the stud axis in order to tune. This typically involves adjusting the position of the nodal radius. The length of the resonator does not change.

• Auto-tune thickness . The thickness (or diameter) of a specified surface is automatically adjusted in order to tune. This is similar to banding. The length of the resonator does not change.


Auto-tune length

Tuning modes ›› Auto-tuning ››

In an Auto-tune length mode, CARD automatically adjusts the resonator length in order to tune to a specified frequency — i.e., the resonator is stretched or shrunk as required. Length adjustments are not limited to the ends of the resonator; the length of any acceptable surface (including middle surfaces) can be adjusted. During this process CARD can also automatically optimize performance (gain or stress).

Acceptable surface types

In order to be acceptable a surface must be able to be stretched in the direction of the stud axis. Hence, all surfaces except the following are acceptable.

1.An Arc. If an Arc is stretched (i.e., its radius is changed) then there may be a problem maintaining tangency with adjoining surfaces. Also, stretching an Arc may cause it to undercut the preceding adjoining surface which is not permitted.

2.A Straight surface that is perpendicular to the stud axis (i.e., a Straight surface whose angle is near +90 or -90 degrees). Such a surface has no length (as measured parallel to the stud axis) to adjust.

Analysis method

CARD begins slicing the resonator from surface 0. It continues slicing along the stud axis until it finds a position where the axial stress is zero at the specified number of half-wavelengths. This is the length required to make the resonator vibrate at the specified frequency. However, this calculated resonator length may be different than the resonator length that was initially specified in the Shape editor. If so then CARD estimates a new tuned length and adjusts the length of the auto-tune surface accordingly. This process continues until the calculated length and estimated length agree, within some specified tolerance.

Limitations

If the initial resonator design is too long for the specified frequency then the auto-tune-length surface will have to shrink in order to tune. However, there is a limit to this shrinkage. This limit will be reached if the exterior auto-tune-length surface or interior auto-tune-length surface shrinks to zero, whichever comes first. If this limit is reached repeatedly then CARD concludes that the resonator can't be tuned with the proposed dimensions. Then CARD will give some suggestions on how to modify the resonator for correct auto-tuning. CARD will then return to the Main menu where you can make the suggested changes.


Auto-tune step

Tuning modes ›› Auto-tuning ››

The position of a specified surface is automatically adjusted parallel to the stud axis in order to tune. This typically involves adjusting the position of the nodal radius. The length of the resonator does not change.

Acceptable surface types

1.The surface can be any type as long as it is not parallel to the stud axis.

2.The previous adjoining surface can be vertical (an Angle of 90°), provided that the surface prior to the vertical surface is not an Arc (i.e., must be a surface that is capable of being stretched).

Analysis method

CARD begins slicing the resonator from surface 0. It continues slicing along the stud axis until it finds a position where the axial stress is zero at the specified number of half-wavelengths. This is the length required to make the resonator vibrate at the specified frequency. However, this calculated resonator length may be different than the resonator length that was initially specified in the Shape editor.

In this case, CARD estimates a new position for the auto-tune-step surface - the surface is moved either closer to the stud surface (surface 0) or closer to the face. In either case, the orientation of the auto-tune- step surface is not changed. For example, if the auto-tune-step surface is a Straight surface with a -10° angle then it will retain the -10° angle after its step has been adjusted. This is done by stretching the two adjoining surfaces.

This process continues until the calculated length agrees with the specified length at the specified frequency.

Limitations

The auto-tune-step surface can only be moved backward or forward until the length of one of the adjacent surface equals zero. If this happens before the resonator is tuned then it is very probable that the resonator cannot be tuned by this method. However, CARD will give some suggestions on how to modify the resonator for correct auto-tuning. CARD will then return to the Main menu from which you can make the suggested changes.

Convergence

Even if there are no problems with reaching the limits of the adjacent surfaces, there may be no location of the auto-tune-step surface for which the resonator is tuned. In other cases, the resonator may be just barely tunable in the auto-tune-step mode. In either of these situations, CARD may hunt wildly for a solution. Therefore, if the resonator has not been tuned after a fixed number of iterations then CARD assumes that there is no solution, whether or not an actual solution exists.


Auto-tune thickness

Tuning modes ›› Auto-tuning ››

The thickness (or diameter) of a specified surface is automatically adjusted in order to tune. This is similar to banding. The length of the resonator does not change.

Acceptable surface types

1.The auto-tune surface must be Straight but not perpendicular to the stud axis. The auto-tune surface need not be parallel to the stud axis although this is the usual case.

2.Both adjacent (sidewall) surfaces must be Straight. These surfaces must either have 0 length (the easiest to implement) or must be vertical (i.e., perpendicular to the stud axis).

Typically, the auto-tune-thickness surface will be located approximately symmetrically at the nodal region and will extend over approximately 1/2 half wavelength. In this case the tuning method is the same as banding. If desired, however, the auto-tune-thickness surface can be located anywhere on the resonator and can have any length, as long as it meets the above requirements.

Analysis method

CARD begins slicing the resonator from surface 0. It continues slicing along the stud axis until it finds a position where the axial stress is zero at the specified number of half-wavelengths. This is the length required to make the resonator vibrate at the specified frequency. However, this calculated resonator length may be different than the resonator length that was initially specified in the Shape editor.

In this case, CARD estimates a new thickness for the auto-tune-thickness surface — the surface moves either closer to the stud axis (i.e., the resonator gets thinner in this section) or farther from the stud axis (i.e., the resonator gets fatter in this section). In either case, the orientation of the auto-tune-thickness surface is not changed. For example, if the auto-tune-thickness surface is a Straight surface with a -10° angle, then it will retain the -10° angle after its thickness has been adjusted. This is done by equally adjusting the lengths of the two adjacent "sidewall" surfaces that are perpendicular to the stud axis. These two surfaces form the "walls" of the cut.

This process continues until all surfaces (except the adjacent sidewall surfaces) have the lengths that were originally specified in the Shape editor (at which point the tuning will be complete) or until the thickness limits are reached.

Limitations

CARD will adjust the auto-tune-thickness surface up to 25% of its initial thickness. For instance, if the initial thickness of the auto-tune surface is 50 mm then CARD will adjust the thickness within the range of 37.5 mm to 62.5 mm. If the resonator cannot be tuned within this range, then CARD will give some suggestions on how to modify the resonator for correct auto-tuning. CARD will then return to the Main menu from which you can make the suggested changes.

This limit is imposed to prevent unrealistically deep tuning cuts that would likely cause poor resonator performance and for which the impedance matching calculation would give poor results.


Performance adjustment

Tuning modes ›› Auto-tuning ››

CARD can automatically adjust certain performance parameters. The available performance parameters will depend on the resonator type .

Gain adjustment . The gain of a resonator can be automatically adjusted (within limits).

Stress optimization . The ultrasonic stress in a resonator can be automatically optimized to give a Gaussian (flat) stress distribution over a limited length.


Gain adjustment

Tuning modes ›› Auto-tuning ›› Performance adjustment ››

In the Auto-tune gain mode, CARD automatically adjusts the dimensions of certain resonator surfaces so that a specified gain is achieved. The specified auto-tune frequency is also maintained.

The required gain is specified in a sub-menu of Main menu\Input checklist.

Acceptable surface types

An acceptable auto-tune-gain surface has the following requirements ⎯

1.The auto-tune-gain surface must be Straight and must be parallel to the stud axis.

2.If an Arc surface is adjacent to the auto-tune-gain surface then the Arc radius must be positive (i.e., a concave Arc).

Note ⎯ A single surface can serve as both the auto-tune-gain surface and the auto-tune-length surface if it meets the requirements for both types of surfaces.

Analysis method

The analysis consists of three steps.

1.CARD auto-tunes a specified surface to achieve the specified frequency. This will generally require several slicing iterations.

2.After the frequency has initially converged, CARD compares the analyzed gain to the specified (required) gain. If these two gains are not equal then CARD adjusts the thickness or diameter of the auto-tune-gain surface.

3.The above steps are repeated in sequence until the frequency and gain have converged.

The process may terminate prematurely if the required correct gain cannot be achieved or if the tuning limits are reached.

Caution. As the thickness of the auto-tune gain surface is increased, the thickness may become large relative to the length of the auto-tune gain surface (i.e., it may take on the shape of a disk). Such a shape will tend to vibrate in flexure rather than axially. Then the tuning and gain will not be correct. CARD does not check for this condition so you must check yourself.

Tuning to adjust the frequency

Two auto-tune gain modes are available depending on how the frequency should be adjusted.

Auto-tune gain (variable resonator length)

In this mode the frequency is adjusted by auto-tuning the resonator's length .

Auto-tune gain (fixed resonator length)

In this mode the frequency is adjusted by auto-tuning a stepped surface of the resonator ( auto-tune step ). In this case the resonator's length remains fixed. This method would be used for any situation where the resonator's length must remain fixed (e.g., if you want to design a tip horn for a composite horn where the tip horn's length is fixed in order to properly contact the weld area or if you want to design a series of boosters, all of which have the same length).


Stress optimization

Tuning modes ›› Auto-tuning ›› Performance adjustment ››

In the auto-tune stress mode, CARD automatically adjusts the angles of specified auto-tune-stress surfaces until the stress along those surfaces becomes nearly uniform (i.e., approximating a Gaussian stress distribution). As part of this process CARD automatically adjusts the length of a specified auto-tune-length surface until the specified tuned frequency of the resonator has been achieved. Auto-tune stress is useful for resonators that operate close to the material's fatigue strength (e.g., some medical probes).

Acceptable surface types

1.The surfaces must be Straight. The initial Angles of cannot be either +90º or -90º (i.e., perpendicular to the resonator's axis) as shown in the Shape editor.

2.The surfaces must be contiguous.

3.An auto-tune stress surface can not be the last surface. This is because the last surface has zero stress at its end and the stress cannot be optimized for zero stress.

4.The auto-tune length surface must precede all but the lowest auto-tune stress surface. Otherwise, the stress will not be properly optimized as the auto-tune length surface is adjusted.

Analysis method

CARD starts the stress optimization from the highest auto-tune stress surface. Before slicing begins CARD sets the angle of this surface to 0º (i.e., so that it is parallel to the stud axis ). Then slicing proceeds as in the auto-tune-length mode. When the resonator initially becomes tuned, the stress magnitude across the auto-tune-stress surface will be higher at the left end than at the right.

If the stress in not uniform across the auto-tune-stress surface, then the surface's angle will be increased (made more negative). (See __Link__Delta_stress_angle auto-tune-stress angle increment.) If an Arc precedes the auto-tune-stress surface then its position is adjusted so that it remains tangent to the auto-tune-stress surface. CARD continues to increase the angle of the auto-tune-stress surface until the stress at each end of this surface is nearly equal. (Note: although the actual length of the auto-tune-stress surface will change as the surface's angle is changed. However, the projected length (the difference between the X_end values) will not change.)

This process is then repeated, in turn, for each of the remaining auto-tune-stress surfaces, at which point the stress will be nearly uniform across all of the auto-tune-stress surfaces.

Stress optimization with a static load

This tuning mode is the same as auto-tune stress except that static forces can be applied to the resonator. The resonator must be cylindrical or must be approximated as cylindrical.

One axial force and one transverse force are permitted. Each can be located independently along the resonator's length.


Manual tuning

Tuning modes ››

The Manual tune mode adjusts the resonant frequency until it is compatible with the specified (fixed) resonator dimensions. Contrast this with the Auto-tune modes which adjust the resonator dimensions until a specified resonant frequency is achieved. Hence, Manual tune and Auto-tune are converse tuning modes.

Because of its greater versatility, the Auto-tune mode is usually preferred. However, there are some cases where the Auto-tune mode is not appropriate; then the Manual tune mode is used. For instance, you may want to tune a resonator by adjusting the size of a radius. Since the Auto-tune mode does not allow you to automatically adjust the radius, the Manual tune mode must be used. Using this mode, you would change the radius size and let CARD determine the resulting resonant frequency. If this frequency is not what you require then you would again manually change the radius size. This process would be repeated until the desired frequency has been achieved. This trial-and-error process is very similar to tuning the resonator in a machine shop except, of course, that the Manual tune mode allows you to add material, if needed.

The manual-tune mode may also be used if an auto-tune mode will not converge. (See below.)

Calculation method

CARD begins slicing the resonator from surface 0. It continues slicing along the stud axis until it finds a position where the axial stress is zero. This is the length required to make the horn resonate at the frequency that was initially estimated. However, this calculated resonator length may not be the same as the resonator length that was specified in the Shape editor.

In this case CARD estimates a new resonant frequency. If the calculated resonator length is shorter than the specified length then the estimated frequency is too high so CARD will reduce the frequency. Conversely, if the calculated resonator length is longer than the specified length then the estimated frequency is too low so CARD will increase the frequency. After estimating the new frequency, slicing begins again from surface 0.

This process continues until the calculated resonator length is the same as the specified resonator length, at which point the resonator is tuned.

Manual-tune limits

Unlike the auto-tune modes, there are no constraints on the manual-tune mode. Hence, the solution should always converge, regardless of the resonator shape. However, convergence does not necessarily guarantee accuracy (e.g., if the resonator shape isn't suitable for CARD's one-dimensional analysis).


Equipment

CARD allows multiple sets of equipment, each with its own set of parameters. This allows you to easily select the equipment that is most suitable for each resonator design. For example, you might have separate 20 kHz and 40 kHz equipment that use different stud sizes, wrench flats, etc. You could set up separate defaults for each of these sets of equipment.

You can establish the default equipment sets in \Preferences\Configuration\Master equipment database ( here ).

You can set the parameters of the current equipment in \Main menu\Equipment\Resonator equipment. (This can be done secondarily through the Shape Editor\F8 (other menus).) From these menu you can, instead, get an alternate equipment from the Master equipment database.

See the information about the equipment parameters .


Equipment parameters

Equipment ››

The following equipment properties can be adjusted, either from \Preferences\Configuration\Master equipment database or from \Main menu\Equipment\Resonator equipment.

Equipment name

Give each equipment a unique name. This name will appear on other menus.

Nominal frequency

This is the nominal (design) frequency for the resonator, resonator stack , or power supply. The exact frequency will be specified in other menus. CARD uses this to determine certain analysis parameters (for example, the slice thickness).

Transducer name

Choose a name for the transducer that will be used with this equipment. This is primarily for your information.

Transducer amplitude

This is usually the nominal (design) amplitude for the transducer. Together with the booster gain and specified resonator output amplitude, this will be used to calculate the required resonator gain.

Booster parameters

Set the booster parameters for all boosters that are used with this equipment.

Tip parameters

Adjust the dimensions and material of a tip.

Studs

Each equipment can optionally have a rear stud and/or a front stud. The stud parameters can be set.

Radial (spanner) holes

Each equipment can optionally have rear radial holes and/or front radial holes. The radial hole parameters can be set.

Wrench flats

Each equipment can optionally have rear wrench flats and/or front wrench flats. The wrench flat parameters can be set.

Options

If you are viewing the above parameters from \Main menu\Equipment\Resonator equipment then you will have to option to pick a different equipment from \Preferences\Configuration\Master equipment database.

If you are viewing the above parameters from \Preferences\Configuration\Master equipment database then you will have to option to save the parameters to a disk file.


Boosters

Equipment ›› Equipment parameters ››

Each equipment has associated boosters. The parameters for each booster can be set.

Booster name

Give the booster a unique name. This name will appear on other menus.

Booster gain

The booster gain (along with the transducer amplitude) determines the input amplitude to the horn.


Studs

Equipment ›› Equipment parameters ››

A resonator can optionally have a front and/or rear stud. These will be useful for designing boosters, transducers, and certain tips.

Important — The stud and stud hole displace (supersede) any other resonator dimensions or materials. (See stud diameter .)

Stud status

If Active then CARD accounts for the effect of the stud and stud hole on resonator performance. The stud will be drawn when the resonator shape is displayed.

If Inactive then the stud and stud hole are ignored.

Stud material

Choose the stud material. The most common materials are steel, titanium alloys, and stainless steel.

Note — The only stud properties that affect the resonator performance are the thin-wire wave speed and density.

Stud diameter

The pitch diameter of the stud threads. (The nominal diameter may also be used.)

When a stud is present, its diameter takes precedence over any adjacent resonator diameter that is less than the stud diameter. The same is true for the stud hole. Although this situation is physically impossible, such values could be entered into CARD.

Example

Stud outside diameter......................................... 10 mm
Resonator inner diameter adjacent to stud (entered value)..... 6 mm

Result — CARD will consider the effective inner diameter of the resonator to be 10 mm (the outside diameter of the stud) because the resonator's inner diameter is less than the stud's outside diameter.

Example

Stud outside diameter......................................... 10 mm
Resonator inner diameter adjacent to stud (entered value)..... 12 mm

Result — CARD will consider the effective inner diameter of the resonator to be 12 mm, since the resonator's inner diameter is greater than the stud's outside diameter, so that there is clearance between the stud and the resonator's inner diameter.

Stud inside diameter

The diameter of a hole that runs along the entire length of the stud. Generally, this diameter will be zero. However, it can be non-zero for a flow-through transducer — typically, medical transducers that have a center hole along their entire length.

Stud length

The length of the stud that is within the resonator. If the stud physically extends beyond the end of the resonator then this extra extended length should not be counted.

Example

A cylindrical horn uses a 35 mm long stud. 15 mm of the stud is within the horn, while 20 mm extends beyond the horn (for attachment to a booster). The stud length that should be entered into CARD is 15 mm.

When the stud is part of a tip see stud recess .

Special use — modeling a cavity

To form a cylindrical, prismatic, flat-bottomed cavity that extends to the output surface of the resonator, set the following dimensions for the front stud —

•Stud length = 0 (i.e., the stud is absent)

•Stud diameter = diameter of cavity

•Stud hole depth = depth of cavity

•Stud recess = 0

Stud hole depth

The stud hole depth is measured from the end (either front or rear) of the overall resonator.

Stud hole depth = stud length + clearance length at bottom of stud

If a stud is bottomed, then the clearance length is 0 and the stud hole depth equals the stud length.

Notes —

1.The stud hole depth must be ≥ stud length. If the stud length is ≥ stud hole depth then the stud hole depth will automatically be set equal to the stud length.

2.If the stud hole depth is > stud length then Ctrl + ◄─┘ will set the stud hole depth equal to the stud length.

Example

A cylindrical horn uses a 35 mm long stud. 15 mm of the stud is within the horn, while 20 mm extends beyond the horn (for attachment to a booster ). The stud length that should be entered into CARD is the 15 mm that is within the horn.

The desired clearance between the end of the stud and the bottom of the stud hole is 8 mm. Thus, the required stud hole depth is 23 mm (i.e., 15 mm stud + 8 mm clearance).

When the stud is part of a tip see stud recess .

Stud recess

The distance that the face of the stud and stud hole are recessed from the specified end of the overall resonator.

Normally, the portion of the stud that is within the resonator will sit flush with the end of the resonator (e.g., for boosters and horns). In this case, the stud is not recessed (i.e., zero recess).

In some cases the stud and stud hole may be recessed from the end of the resonator. For example, if the resonator has a tip then the stud portion of the tip can be entered by setting the stud recess equal to the tip length (i.e., the overall tip length minus the stud length). Note — the recess measurement starts at the very end of the resonator.

View the resonator shape to verify the correct stud location.

Example

A 20 kHz titanium horn is designed to have a steel tip at the front of the horn. The dimensions are —

Resonator length (including tip).............................. 121 mm
Horn length alone (excluding tip)............................. 115 mm
Tip length (excluding tip stud)............................... 6 mm
Length of tip's stud.......................................... 9 mm
Clearance between bottom of stud and bottom of stud hole...... 8 mm

In the Shape editor the resonator consists of two parts — the titanium horn which stops at 115 mm and the steel tip which stops at 121 mm (i.e., 115 mm + 6 mm). The tip's steel stud will be properly entered with the following dimensions —

Stud recess.................. 6 mm (same as tip length so stud attaches at rear of tip)
Stud length.................. 9 mm
Stud hole depth.............. 17 mm (i.e., 9 mm stud length + 8 mm clearance)

When viewing the resonator the tip's stud will be properly positioned behind the tip.

Important tuning note —

If you adjust the length of the tip (either in the Shape editor or by tuning the surface that corresponds to the tip) then the stud will no longer be aligned correctly with the tip since the stud recess will no longer equal the tip length. Thus —

1.The stud offset should be entered only after you have decided on the desired tip length. If you make any changes in the tip length in the Shape editor then you should readjust the stud recess. You can check for proper stud recess by viewing the resonator (F9 key) .

2.During auto-tuning , you should not choose the tip as the auto-tune surface.

Example (alternate method for tip stud)

Assume that the resonator should be designed as above. The tip's stud can also be designed with the following dimensions —

Stud recess.................. 0 mm
Stud length.................. 15 mm (6 mm tip length + 9 mm actual stud length)
Stud hole depth.............. 23 mm (6 mm tip length + 9 mm actual stud length + 8 mm clearance)

In this case when viewing the resonator, the stud threads will extend through the tip to the tip's face. However, the net effect will be the same as when using the recess method.


Spanner holes

Equipment ›› Equipment parameters ››

The resonator can optionally have radial holes at the rear and/or front of the resonator. Generally these will be spanner wrench holes of limited depth. However, in some cases they may extend to the center of the resonator (for example, for a through hole). (See hole depth .)

Radial (spanner) hole status

If Active then CARD accounts for the effect of the radial holes on resonator performance. The radial holes will be drawn as hidden lines when the resonator shape is displayed.

If Inactive then the radial holes are ignored.

Number of holes

The number of radial holes at the specified location. If you enter 0 then all other parameters will be ignored.

Hole diameter

The diameter of the radial hole.

Hole depth

The depth of the radial hole from the surface of the resonator.

To set a hole which extends to the center of the resonator and will be maintained regardless of changes in the resonator's diameter, press Ctrl + ◄─┘ The option will then show To center. If you want this to be a through-hole, you must also set the Number of holes to two, since each individual hole will extend only to the center of the resonator.

If the option shows To center and you want to enter a specific value instead, then just press ◄─┘ at that option.

Hole centerline distance

The hole centerline distance is measured with respect to the ends of the resonator. The distance is measured parallel to the stud axis.

Rear spanner hole

The distance from the centerline of the radial hole to the input surface at the back of the resonator.

Front spanner hole

The distance from the centerline of the radial hole to the output surface at the front of the resonator.

Spanner hole position

For any tuning modes where the resonator length will change during tuning (e.g., the Auto-tune Length mode), specify whether the radial hole location should remain fixed with respect to the back of the resonator or front of the resonator. Typically, rear radial holes would remain fixed with respect to the back of the resonator while front radial holes would remain fixed with respect to the front of the resonator. However, this can be changed for special circumstances.


Wrench flats

Equipment ›› Equipment parameters ››

A resonator can optionally have front and/or rear wrench flats.

Name

Enter any name to designate the flats. This name is only for information.

Status

If Active then CARD accounts for the effect of the wrench flats on resonator performance. The wrench flats will be drawn in profile when the resonator shape is displayed.

If Inactive then the wrench flats are ignored.

Number of pairs of flats

The number of wrench flat pairs at the specified location. (Each wrench flat pair consists of two diametrically opposite wrench flats.) If you enter 0 then all other parameters will be ignored.

Example

A resonator has four wrench flats (machined 90ø apart) at the rear of the resonator. Then the number of wrench flat pairs at the rear of the resonator is 2.

Flat thickness

The least diametric distance between opposite wrench flats. This will be approximately the same size as the wrench that is used to engage the wrench flats. This value would normally be about 87% of the adjacent resonator diameter. For an approximate minimum, use 60% of the adjacent resonator diameter.

Flat width

The distance between the walls of the wrench flats, measured parallel to the stud axis. This will be somewhat greater than the width of the wrench that is used to engage the wrench flats.

Flat distance

As measured by calipers, the minimum distance from a wrench flat wall to an adjacent end of the resonator. The distance is measured parallel to the stud axis.

Rear wrench flat

The minimum distance from a wrench flat wall to the input surface at the back of the resonator.

Front wrench flat

The minimum distance from a wrench flat wall to the output surface at the front of the resonator.

Wrench flat position

For any tuning modes where the resonator length will change during tuning (e.g., the Auto-tune Length mode), specify whether the wrench flat location should remain fixed with respect to the back of the resonator or front of the resonator. Typically, rear wrench flats would remain fixed with respect to the back of the resonator while front wrench flats would remain fixed with respect to the front of the resonator. However, this can be changed for special circumstances.


Materials

CARD can analyze resonators made of multiple materials. Thus, CARD can be used to design resonators with different tip materials, different horn-booster materials, etc. This may also allow CARD to design certain transducers.

See Material hatch patterns and colors .

CARD maintains two lists of materials —

• Master materials . Those that are located in a central database (Preferences\Configuration\Master materials).

• Resonator materials . Materials that are used in a particular resonator design.


Master materials database

Materials ››

Master materials are located in a central database (Preferences\Configuration\Master materials). These materials are used throughout CARD. All other menus get their materials by selecting (copying) materials from the Master materials menu.

Modifying the material properties

When you receive CARD it will have a list of existing materials. You can modify the material properties (including the material name) from the central database. This is the only location from which you change these properties (see Materials properties menu ). The properties should be the best average properties for that material. (One source for material properties is www.matweb.com .)

Saving

1.You can save all master materials at the central database.

2.If you modify the master material properties and if you don't explicitly save the material then CARD will prompt you to save the material when you exit the menu.

3.Some other menus allow you to save individual materials to the master materials database. In this case you will be prompted to replace one of the existing database materials.

4.When you save a resonator design, only the associated resonator materials are saved. The master materials must be saved separately as described above.

Example

Suppose that you need to design a resonator whose properties are a slight variation of hypothetical material X1 (e.g., possibly because the resonator is running at an elevated temperature). Designate this new material as X1a. You have three options.

1.In the Master materials menu, directly modify the X1 material properties to the X1a properties. However, the original X1 material properties will no longer be available.

2.In the Master materials menu, choose one of the unused materials and modify its properties to conform to the X1a properties. Then whenever you need the X1a material in the future it will be available from the master materials menu. This is a good approach if you expect to use this material for other designs.

3.Don't modify the X1 material properties in the Master materials menu. Instead, when the resonator needs the X1a material simply select (copy) the X1 material from the Master materials menu to the resonator materials and then make the required changes to this local copy of the X1 material. The original X1 material in the Master materials menu will remain unchanged and will still be available.

You can use the same approach when a material is needed in the Equations section.


Resonator materials

Materials ››

Before you input the resonator shape in the Shape editor (where you will have to select a material for each exterior surface) you should build a list of expected resonator materials. This is done through the Main menu\Materials\Resonator materials or M. (This can be done secondarily through the Shape Editor\F8 (other menus).)

From these menu you can add prospective materials from the Master materials database . Often the resonator will only consist of a single material. However, you can add additional materials to the list even if only some of these will actually be used in the design. (See active and standby materials below.)

From this menu you can also save the material to the Master materials database.

Note — This is simply a list of available resonator materials. These menus do not assign the materials to the resonator surfaces. This must be done within the Shape editor .

Modifying the material properties

From this menu you can also access a material to change its properties (see Materials properties menu ). Alternately, after you have entered the resonator shape in the Shape editor, you can scroll to any surface that uses the desired material and press M to display or modify that material's properties. (Note — In the Shape editor several sub-menus will show a list of resonator materials. There you can pick one of the listed materials but you won't be able to change its material properties there.)

Important — If you change a material's properties then that change will apply to all resonator surfaces that use that material.

Active materials

As you build the resonator in the Shape editor you will have to specify a material for each exterior surface. (Interior surfaces, if they exist, don't have material attributes.) When the menu of materials appears you can choose one of the listed materials (e.g., as you may have entered above) or you can get another material from the Master materials menu. However, you can't edit the material properties here.

Each new material that you select will be assigned a hatch pattern and color .

For each material that is used for a resonator surface, a check mark (√) will appear beside it on the list of resonator materials. Standby (inactive) materials will not have this check mark.

Standby (inactive) materials

Standby materials are those on the materials list that have not been assigned to any resonator surfaces You can remove a standby material by moving the cursor to that material and then pressing the Delete key. Removing a standby material will not affect the resonator in any way.

If you remove a standby material then the material hatches and colors for the remaining materials may change. This does not change the material properties of these materials.

You cannot remove an active material.


Materials properties menu

Materials ››

The following is an example of a materials menu.

Information
Material name .................... Ti-6Al-4V rod
≡Thin-wire wave speed ............. 5060 m/sec
≡Modulus of elasticity ............ 114.2 GPa
≡Density .......................... 4460 kg/m^3
Poisson's ratio .................. 0.33
Q ................................ 26000
Ultimate strength ................ 895 MPa
Yield strength ................... 825 MPa
Fatigue strength ................. 0 MPa
Specific heat ....................
Thermal conductivity .............
Wave speed coefficients
───────────────────────────────────
Get additional/different material
Save material to Master Materials database

Notes —

1.Regardless of where this menu appears, the options above the dividing line are always the same. The values for each property can be changed as needed.

2.Depending on where this menu appears, the options below the dividing line may not appear or may change somewhat.

3.The strengths must meet these requirements — Fatigue strength ≤ Yield strength ≤ Ultimate strength.

4.The initial fatigue strength for every material is set to zero. This is because the fatigue strength depends on a large number of factors which are not adequately addressed in tables of "standard" material properties. Thus, you must decide on an appropriate fatigue strength for each material.

5.Depending on where the Materials menu is invoked, many of the material properties may not be relevant. These properties are still listed but are shown in brown text. You can change these values if you wish but they will not affect the results.

Note the ≡ symbols in the above menu. This indicates that the associated property can be automatically calculated. See Interrelation of material properties .


Interrelation of material properties

Materials ››

The thin-wire wave equation shows that the wave speed, modulus of elasticity (i.e., Young's modulus), and density are interrelated by —

Thin-wire wave speed = (Modulus of elasticity / Density)1/2

Thus, if any two of these properties are known then the third is exactly determined. However, in CARD the three are completely independent because they serve different purposes. This is a consequence of CARD's one-dimensional analysis and the resulting need for wave speed calibration .

Material property | Use in CARD
Thin-wire wave speed | Determines the resonant frequency, depending on the resonator's dimensions and shape
Modulus of elasticity | Determines the stress and strain energy
Density | Determines the effect of the stud on the resonator performance

Automatic calculation

In the material properties menu, if any two of the three material properties are known then CARD can automatically calculate the third property using the above equation. This is most often used to calculate the thin-wire wave speed when the modulus and density are known. To do this, move the cursor to the property that is unknown (one of the three with ≡ in front) and press Ctrl + ◄─┘.

IMPORTANT — If you use this method to automatically calculate the thin-wire wave speed, the resulting value will not be the calibrated thin-wire wave speed. It will simply be the value that has been calculated by the above equation. This is acceptable if the material does not need to be calibrated or if you just need an initial estimate of the thin-wire wave speed prior to calibration.Then you can use handbook values for the modulus and density in order to perform this calculation.

Example 1

Assume you have entered the following handbook values —

Modulus of elasticity = 114.0 GPa
Density = 4430 kg/m3

Then if you move the cursor to the Thin-wire wave speed option and press Ctrl + ◄─┘, the nominal thin-wire wave speed will be automatically calculated as 5060 m/sec.

Information
Material name .................... Ti-6Al-4V rod
≡Thin-wire wave speed ............. 5073 m/sec
≡Modulus of elasticity ............ 114.0 GPa
≡Density .......................... 4430 kg/m^3

Example 2

Assume you are calibrating a resonator and have entered the following handbook values for Ti-6Al-4V rod —

Information
Material name .................... Ti-6Al-4V rod
≡Thin-wire wave speed ............. 5073 m/sec
≡Modulus of elasticity ............ 114.0 GPa
≡Density .......................... 4430 kg/m^3

Note that the thin wire wave speed, modulus, and density are consistent according to the above equation.

After calibration the thin wire wave speed increases from 5060 m/sec to 5170 m/sec while the modulus remains unchanged —

Information
Material name .................... Ti-6Al-4V rod
≡Thin-wire wave speed ............. 5170 m/sec
≡Modulus of elasticity ............ 114.2 GPa
≡Density .......................... 4430 kg/m^3

If you want to determine the associated modulus (according to the above equation) at the assumed density, move the cursor to the Modulus of elasticity option and press Ctrl + ◄─┘ for which CARD will calculate the modulus value as 119.2 GPa —

Information
Material name .................... Ti-6Al-4V rod
≡Thin-wire wave speed ............. 5170 m/sec
≡Modulus of elasticity ............ 118.4 GPa
≡Density .......................... 4430 kg/m^3

Because of the known variability of titanium, this modulus may not be unreasonable.

Note — Calibration is only needed if you are analyzing a resonator from the Main menu. It is not needed for material properties in the Equations section. Hence, automatic calculation is generally acceptable in the Equations section.


Design procedure

When CARD starts, the Main menu always appears first. All activities proceed from this menu.

The design procedure generally follows the order of the options in the Main menu.

After setting preferences —

1.For each new resonator project, create a descriptive folder that will hold the resonator models. (You should not save your resonator designs to the folder in which CARD was installed. This could potentially cause problems during CARD upgrades, when inadvertently attempting to open a non-resonator file, etc.)

2.From the File menu (Alt+F) —

2.1.Open a desired resonator file (if one exists). Open recent may be convenient.

2.2.Optional - For a new or revised design, enter a descriptive title for the resonator. This would provide additional information beyond that of the file name. For example, "Per Design37c but nodal radius 10 mm --> 12 mm".
This will be displayed in the File\Open recent option.

2.3.Save the file with a descriptive name.

3.Use the F10 key to set the units (either metric or English). See notes .

4.Access the Input checklist. Here you will choose the resonator type , the tuning mode , and other parameters. Ultimately you will return to the Main menu.

5.If you have not set the material or equipment properties from the Preferences menu, you can set these properties now from the Main menu.

5.1.From the Equipment menu, chose the desired equipment. Verify that the stud dimensions, spanner hole dimensions, and wrench flats dimensions are correctly set (if these apply). These will be shown when you view the resonator shape.

5.2.Access Materials\Resonator materials to add all required resonator materials. Note: you can also add resonator materials as you enter the resonator shape in the Shape editor. However, it is most convenient to add or modify the resonator materials at this time.

6.Enter the resonator shape in the Shape editor —

6.1.It may be helpful to lay out the resonator shape on paper.

6.2.Enter all exterior resonator surfaces.

6.3.If the resonator has interior surfaces then use the F2 key to change to the interior. Enter the required interior surfaces.

6.4.If the resonator has interior surfaces then make sure that the last exterior surface and the last interior surface both have the same X_end. If not, use the F5 key to finish whichever is shorter.

6.5.Use the F9 key to view the resonator shape . This should be done frequently during entry of the resonator shape.

6.6.Periodically save the resonator.

6.7.After you have entered the resonator shape, Esc back to the Main menu.

7.Access the Tuning checklist. (This will not be available in the manual-tune mode.)

8.Set the Slice parameters.

9.Analyze (slice) to begin the process of slicing the resonator. Note: you may wish to again save the resonator before slicing.

10.After slicing has finished (converged) —

10.1.A summary of results will be displayed.

10.2.View the graphical results and output the text results. Important: if you wish to output the text results, you must do so at this point, since the text results will not be available after you return to the Main menu. However, the graphical results will still be available.

10.3.Esc to return to the Main menu.

11.Make any required modifications to the resonator, materials, etc.

12.Repeat the above steps until the resonator performance is satisfactory.

13.Save the resonator design to disk.

Note — If the resonator will be operated at a temperature that is different than room temperature, then see __Link Designing off-temperature resonators.


Initial design parameters

Design procedure ››

The resonator design will be dictated by the application requirements. The following are important considerations. Some of these may need to be determined experimentally.

Frequency

The ultrasonic frequency determines many aspects of the resonator design.

Application dependence

Some ultrasonic applications are frequency dependent. For example, ultrasonic atomization gives smaller droplets at higher frequencies but the throughput (the volume that can be processed per unit time) is reduced.

Amplitude (gain)

Some applications are amplitude dependent. The maximum achievable amplitude depends on the transducer's amplitude and the fatigue of the resonator materials, both of which vary inversely with the frequency.

Power

Lower frequency transducers can deliver higher power because of their greater piezoelectric volume. Thus, if high power is required (e.g., for metal welding) then a low frequency may be needed.

Resonator size

Resonator dimensions are inversely proportional to the frequency. Thus, higher frequencies give smaller (shorter and lighter) resonators. Then a higher frequency may be desirable for hand held medical devices or where multiple ultrasonic stacks must be closely spaced (some ultrasonic plastic welding applications).

The application will require certain face (output surface) dimensions. If these dimensions are large then a lower frequency design may be easier to achieve. For example, if a plastic welding application requires a 125 mm x 125 mm output face, this can be achieved more easily at 20 kHz than 40 kHz.

Machining

Some machining operations are easier for low frequency resonators. For example, 20 kHz horns typically have 10 mm wide slots which are machined with a Ø10 mm end mill. The equivalent 40 kHz horn would have 5 mm wide slots and require a Ø5 mm end mill. However, the lateral bending stiffness of the end mill varies with the cube of the diameter. Thus, the Ø10 mm end mill would be 8 times stiffer than the Ø5 mm end mill so machining the 20 kHz slots could proceed much faster than the 40 kHz slots, especially for deep slots in a difficult material like titanium.


Shape editor

The Shape editor is used to enter the resonator shape and materials. This is done by entering, in succession, data for each individual resonator surface. You can also modify an existing resonator shape or materials.

Important. Before entering any resonator data, you should first access the Input checklist menu . Otherwise, your resonator may not have the proper shape (e.g., circular instead of rectangular) or the resonator's dimensions may be limited by the frequency.


Introduction

Shape editor ››

Before using the Shape editor you should review the following topics.

• Surface types

• Symbols

• Nomenclature

• Keys

• Permitted values

Method

In the Shape editor all action proceeds from the Choice = prompt. You have three options —

1.◄─┘ to begin entering a new surface or modifying an existing surface (including changing a material).

2.Choose one of the displayed keys (e.g., F1 for help, F9 to view the resonator).

3.Esc to exit to the Main menu.


Surface types

Shape editor ›› Introduction ››

Exterior surface types

The resonator exterior may be made of any combination of six surface types —

• Straight (non-curving line)

• Arc (segment of a circle)

• Arc-straight (combined Arc + Straight)

• Exponential

• Catenoidal

• Nonstandard

Interior surface types

The resonator interior (cavity or bore) may be made of any combination of three surface types — Straight , Arc , and Arc-Straight .


Straight surface

Shape editor ›› Introduction ›› Surface types ››

A Straight surface is any surface that does not curve. The equation of the Straight surface is —

Y = Yo + (X - Xo) tan(Angle)

where —

X ≡ X coordinate
Y ≡ Y coordinate at X
Xo ≡ X coordinate of previous surface
Yo ≡ Y coordinate of previous surface
Angle ≡ Angle of surface with respect to the resonator axis

X coordinates are measured from the reference surface (generally surface 0).
Y coordinates are measured from the resonator axis.


Arc surface

Shape editor ›› Introduction ›› Surface types ››

An Arc is any segment of a circle. The equation of the Arc is —

Y = YCL - [R2 - (X - XCL)2]½

where —

X ≡ X coordinate
Y ≡ Y coordinate at X
R ≡ Radius
XCL ≡ X centerline coordinate
YCL ≡ Y centerline coordinate

X coordinates are measured from the reference surface (generally surface 0).
Y coordinates are measured from the resonator axis.

Limitations

1.The Arc cannot undercut any point on the previous surface. For instance, this would occur if you tried to enter an Arc whose YCL was below the thickness of the previous surface.

2.The Arc cannot pass below the stud axis since this would give a negative thickness at that point.

Generally, CARD limits the permitted values of the Radius so that neither of the above conditions can occur.

Termination

The Arc entry will be simplified if the Arc terminates parallel to the stud.

An Arc can terminate (end) in either of two ways -

1.Parallel to the stud axis. Then the termination angle is 0°. This is often the case -- for instance, if you are entering an Arc for the nodal-radius. For this condition CARD automatically calculates the required X_end value of the Arc so that the Arc will be tangent to the chosen thickness. This can save considerable input time since you do not have to calculate the end coordinate (i.e., the transition point) of the Arc.

2.Not parallel to the stud axis. In this case, you must manually calculate and enter the X_end value of the Arc.

Radius

The sign of the Radius can be either positive or negative. The sign indicates the direction of curvature.

•Positive Radius. A positive Radius (the most common) is concave with respect to the adjoining surfaces.
Examples: the nodal radius of a bar horn and the radius at the bottom of a bell horn cavity are both concave and are therefore positive. Fillets are positive.

•Negative Radius. A negative Radius is convex with respect to the adjoining surfaces (like a camel hump).
Example: some bar horns horns have a small convex radius that runs along the entire width of the horn face so that the horn will slide easily over the plastic that is being welded.

These conventions applies to both exterior and interior surfaces.

When you must enter a radius value in the Shape editor, CARD may automatically determine whether a positive or negative radius is required, based on the dimensions that you have already entered.

Comparison to Arc-Straight surface

Arc should be used for either of two circumstances -

1.When the surface following the Arc is not Straight. For instance, if the next surface after the Arc is a Catenoid.

2.When the surface following the Arc is Straight but is not tangent to the Arc.

Except in the above two conditions, the Arc-Straight is preferred to the Arc because it is easier to use --the Arc-Straight allows both the Arc and Straight surfaces to be entered at the same time and automatically calculates the point of tangency between them.


Arc-straight surface

Shape editor ›› Introduction ›› Surface types ››

Arc-Straight is not a separate type of surface. Instead it is a combination of two surfaces — an Arc surface followed by a Straight surface. The Arc is automatically constructed tangent to the Straight surface. This occurs when designing tapered resonators for low stress and when a nodal radius terminates into a Straight surface.

The Arc-Straight allows you to enter two surfaces simultaneously on the same line of the Shape editor. You will first be required to enter the data for the Straight surface: X_end, Thick, and Angle. CARD automatically determines the correct sign for the angle, based on the thickness at the end of the Straight surface.

You will then be asked to enter the Arc data — i.e., the Radius. As with the Angle, CARD automatically determines the sign of the Radius so you don't need to enter the sign.

When you have finished entering the above data in the Shape editor, the screen will scroll and the single Arc-Straight surface will be broken down into its two component surfaces Arc and Straight. CARD automatically calculates the X_end and Thick values of the Arc. Thus, you do not have to calculate the termination location between the Arc and the Straight, which would be required if you had entered the Arc and Straight surfaces separately.

Thus, the Arc-Straight is almost alway preferred compared to separately entering an Arc surface and the subsequent tangent Straight surface.


Exponential surface

Shape editor ›› Introduction ›› Surface types ››

The equation of an Exponential surface is —

Y = Y0 + b0 e(X - Xo) * b1

where —

X ≡ X coordinate
Y ≡ Y coordinate at X
Xo ≡ X coordinate of previous surface
Yo ≡ Y coordinate of previous surface
e ≡ Napierian base (2.71828183...)
b0, b1 ≡ constants (depend on the end points of the exponential)

X coordinates are measured from the reference surface (generally surface 0).
Y coordinates are measured from the resonator axis.

Limitations

1.Neither the initial slope or the final slope is parallel to the resonator axis.

2.Neither end of the Exponential surface can have 0 thickness. Thus, an Exponential surface cannot be surface 1 since surface 0 (the surface to which surface 1 is attached) always has 0 thickness.

3.If b1 = 0 then the Exponential surface degenerates to a Straight surface with 0 slope.


Catenoidal surface

Shape editor ›› Introduction ›› Surface types ››

A Catenoidal surface is described by the catenoidal equation (the equation for a string suspended between two points) —

Y = Yo + b {cosh[(X - Xo) / b] - 1}

where —

X ≡ X coordinate
Y ≡ Y coordinate at X
Xo ≡ X coordinate of previous surface
Yo ≡ Y coordinate of previous surface
cosh ≡ hyperbolic cosine
b ≡ constant (depends on the end points of the catenoid)

X coordinates are measured from the reference surface (generally surface 0).
Y coordinates are measured from the resonator axis.

The cosh function with argument Z is given by —

cosh(Z) = (eZ + e-Z )/2

where —

e ≡ Napierian base (2.71828183...)

Limitations

1.Either the initial slope or final slope is 0 (i.e., parallel to the resonator axis).

2.Neither end of the Catenoidal surface can have 0 thickness. Thus, an Catenoidal surface cannot be surface 1 since surface 0 (the surface to which surface 1 is attached) always has 0 thickness.

3.In CARD the Catenoidal surface can't have end-points that both have the same thickness. If you need such a Catenoidal surface then make one end thickness slightly different than the other. Alternately you can enter two back-to-back Catenoidal surfaces.


Nonstandard surface

Shape editor ›› Introduction ›› Surface types ››

If a resonator surface is not one of CARD's standard surfaces then the desired surface can be approximated by dividing it into a number of connected straight surfaces. Each of these straight surfaces then receives a surface number.

For example, if a resonator has a parabolic surface then this parabolic surface can be approximated by dividing the parabola into a number of straight surfaces. Each of these straight surfaces should be short enough that it does not deviate significantly from the shape of the parabola.


Nomenclature

Shape editor ›› Introduction ››

The following nomenclature is used in the Shape editor.

Active surface

The active surface is the surface that is the highlighted at the top of the Shape editor, even if more surfaces have been entered. For example, if you entered 16 surfaces but surface 10 is now highlighted at the top (by scrolling), then surface 10 is the active surface. (It is also indicated in the information at the lower 1/3 of the screen.) If at least one surface has been entered then the active surface can be changed by using the Shape editor cursor keys.

All surface entry takes place with respect to the active surface —

•You can insert a surface after the active surface.

•You can modify the active surface (either its surface type, its position or its material).

•You can delete the active surface.

If you insert a surface or delete the active surface then all subsequent surface numbers are adjusted accordingly. In any case, all surface numbers remain consecutive (no gaps).

X_end

X_end is the distance from the reference surface to the right end point of a given surface, measured parallel to the stud axis. The reference surface is usually surface 0 with X coordinate 0. If the reference surface is not surface 0 then some of the X_end values will be negative.

Thick

Thick refers to either the thickness or diameter at the X_end point of a specified surface. (Note: the resonator graphics show only 1/2 of the resonator thickness or diameter.)

Angle

Angle refers to the angle of a Straight surface with respect to the stud axis.

The angle is negative if the Straight surface slopes toward the stud axis as you move toward the right of the screen (i.e., toward higher surface numbers). The angle is positive if the Straight surface slopes away from the stud axis as you move toward the right of the screen.

For Straight surfaces that are perpendicular to the stud axis (i.e., a vertical step), the angle is +90° if the thickness at the endpoint of the surface is greater than at the beginning of the surface (i.e., the surface steps up); otherwise, the angle is -90°.

Reference surface

X_end values are measured from a reference surface. For simple resonators the anchor point works well. However, the anchor point may not be convenient for more complex resonators. For example, consider a resonator that consists of a half-wave booster (130 mm long) followed by a half-wave horn. If you use the anchor point as you enter the horn dimensions then you must add the booster length (130 mm long) to get the correct horn X_end for each horn surface. For example, if the horn has a shoulder length of 60 mm then the value that you must enter (with respect to the anchor point) for this shoulder is 190 mm. This is inconvenient and may lead to errors. Instead, you can set a reference surface .at the end of the booster. Then you can enter the natural X_end for each horn surface. In the above example, you would simply enter 60 mm as the X_end of the horn's shoulder.

The reference surface has an X_end value of 0 and is the location from which all other X_end values are measured. The reference surface is set with the F3 key.

You may also want to set a new reference surface if you have flipped the resonator with the | key.

Notes

1.The reference surface is indicated by a ► at the left of the surface number.

2.As you stretch or shrink the resonator or add or delete surfaces, the reference surface remains at the end of the originally chosen surface. If you delete the chosen reference surface, then the reference surface reverts to exterior surface 0.

3.If you choose a reference surface that is not surface 0 then all of the surfaces behind the reference surface will have negative X_end values. You should use caution when editing these surfaces since the results can be confusing. If you need to edit these surfaces then you may wish to choose a reference surface that is behind these surfaces (particularly surface 0). Alternately, you can flip (|) the resonator to convert these negative X_end values into positive X_end values.

4.If an interior is permitted (e.g., for circular resonators) then you can choose an interior surface as the reference surface. However, only one reference surface (either exterior or interior) is permitted at any time.

5.If you print our the resonator dimensions (File\Output resonator dimensions) starting from within the Shape editor then all dimensions will print exactly as they appear in the Shape editor (e.g., with the appropriate offset). The reference surface will be indicated by a → at the beginning of its line.

6.Outside the Shape editor or for any menus that are accessed from outside the Shape editor, the reference surface is always surface 0. When you again access the Shape editor the most recently selected reference surface will be restored.


Symbols

Shape editor ›› Introduction ››

Symbols for sectional shape

The following symbols indicate the cross-sectional shape of the resonator surfaces. These are displayed in the scrollable list of data surfaces.

•ϕ — circular (cylindrical)

•θ — the flatted front section of a flatted-cylindrical horn

•█ — rectangular

Reference surface

The reference surface is indicated by a ► at the left of the surface number. This symbol remains with the reference surface as the surfaces are scrolled.

Also see menu symbols .


Keys

Shape editor ›› Introduction ››

The following keys are specific to the Shape editor. Those that are shown with (Ξ) provide additional functionality when pressed with the Ctrl key or Shift key. Click on the key link for details.

Key | Purpose | Notes
F1 | General help for the shape editor |
F2 | Switch between editing exterior and interior surfaces |
F3 (Ξ) | Set the reference surface |
F4 (Ξ) | Delete a surface or surfaces |
F5 | Finish the resonator length |
F6 | Show the equation of the active surface |
F7 | Scale the resonator |
F8 | Other helpful menus |
F9 | View the resonator |
F10 | Change units |
| | Flips the resonator end-for-end |
Ctrl+Z | Undo last surface edit |
Ctrl+X | Cancel entry of the active surface | Only available from certain sub-menus.
↑ | Scrolls the surface display up 1 line | Reduces theactive surface number by 1
↓ | Scrolls the surface display down 1 line | Increases theactive surface number by 1
Esc | Return to Main menu |


F1 (help)

Shape editor ›› Introduction ›› Keys ››

F1 calls up help related to the Shape editor.


F2 (exterior/interior)

Shape editor ›› Introduction ›› Keys ››

F2 changes between entering exterior surfaces and interior surfaces. The interior mode allows you to add a cavity or bore. (Interior surfaces are only allowed for cylindrical resonators.)


F3 (set reference)

Shape editor ›› Introduction ›› Keys ››

F3 establishes a reference surface.from the available surfaces. The end point of the reference surface has an X_end value of 0 and is the location from which all other X_end values are then measured. (Note — When setting the reference you can't specify an arbitrary X value. You must choose a surface number from one of the existing surfaces.)

Three keys are used to set the reference surface: F3, Ctrl+F3, and Shift+F3.

F3

With the F3 key, the resonator shape is first displayed. Then you can select one of the numbered surfaces as the reference surface. The resonator is then re-displayed with a shifted X axis so that you can verify the result.

Note: for long, thin resonators, the surface numbers may overlap and be difficult to determine. You can improve this by choosing to draw the resonator full-screen instead of scaling the vertical axis to the horizontal axis. For a solution see Scaling of resonator vertical axis .

Ctrl+F3

Ctrl+F3 also sets the active surface as the reference surface. This is done without displaying the resonator shape.

1. Scroll to the surface that you want as the reference surface. This will be the top surface on the display.

2. Press Ctrl+F3.

Shift+F3

Sets exterior surface 0 as the reference surface (i.e., reverts to the anchor point). This is done without having to scroll the surfaces.


F4 (delete surface)

Shape editor ›› Introduction ›› Keys ››

The F4 key (by itself) is used to delete surfaces in a graphical mode. When you press F4, the resonator shape is displayed. After you choose the desired surface and press ◄─┘, the selected surface is deleted and the resonator is redrawn. This will continue until you press Esc. (See Ctrl+F4 below for a non-graphical mode.)

Note: for long, thin resonators, the surface numbers may overlap and be difficult to determine. You can improve this by choosing to draw the resonator full-screen instead of scaling the vertical axis to the horizontal axis. (The vertical scaling can be changed in the \Option\Setup\Graphics\ Expand vertical axis or by pressing G from any menu.).

Note — Before you delete a surface, consider the alternatives to deletion discussed below.

When you delete a surface, the total number of surfaces decreases by 1 and all surfaces after the deleted surface are renumbered so that the surface numbers remain consecutive. The resonator length is unchanged unless the deleted surface is the last surface. The surface immediately after the deleted surface will be stretched to bridge the gap created by the deleted surface. All other surfaces are unchanged. (However, see the special considerations for an Arc and Catenoid below.)

Example 1

A 20 kHz cylindrical horn consists of the following surfaces —

SURFACE TYPE X_END DIAMETER ANGLE RADIUS
═════════════════════════════════════════════════════════
6e φ Straight 147.50 10.00 -18.44 -----
5e φ Straight 132.50 20.00 0.00 -----
4e φ Catenoid 115.00 20.00 -----
3e φ Arc 80.22 26.08 25.00
2e φ Straight 65.00 40.00 -4.40 -----
1e φ Straight 0.00 50.00 90.00 -----
► 0e -------- 0.00 0.00 0.00 -----

If surface 4 (the Catenoid) is deleted, then surface 5 is adjusted to fill the gap and is then renumbered to become surface 4. Its angle changes from 0.00 to -3.33. Surface 6 is renumbered to become surface 5. The result is —

SURFACE TYPE X_END DIAMETER ANGLE RADIUS
═════════════════════════════════════════════════════════
5e φ Straight 147.50 10.00 -18.44 -----
4e φ Straight 132.50 20.00 -3.33 -----
3e φ Arc 80.22 26.08 25.00
2e φ Straight 65.00 40.00 -4.40 -----
1e φ Straight 0.00 50.00 90.00 -----
► 0e -------- 0.00 0.00 0.00 -----

Special considerations — Arc

If the surface immediately after the deleted surface is an Arc then the adjustment is different since an Arc cannot be stretched. In this case, the Arc is moved back and attached to the surface that was just behind the deleted surface. Then the surface in front of the Arc is stretched to accommodate the new location of the Arc.

If deletion causes an Arc to be moved, then part of the Arc may fall below the stud axis for which the thickness of this section would be negative. (See example 3.) You must fix this problem before you can analyze the resonator.

Example 2

For the unmodified horn at the beginning of example 1, if the Straight surface 2 is deleted then the Arc (surface 3) is moved back to join to surface 1. The Arc is then renumbered to become surface 2 and all subsequent surfaces are also renumbered.

Note — Because of the shift in position of the Arc, its thickness has increased by 10 mm (from 26.08 to 36.08) because the thickness of the previous surface to which it is now joined has increased from 40 mm to 50 mm.

SURFACE TYPE X_END DIAMETER ANGLE RADIUS
═════════════════════════════════════════════════════════
5e φ Straight 147.50 10.00 -18.44 -----
4e φ Straight 132.50 20.00 0.00 -----
3e φ Catenoid 115.00 20.00 -----
2e φ Arc 15.22 36.08 25.00
1e φ Straight 0.00 50.00 90.00 -----
► 0e -------- 0.00 0.00 0.00 -----

Note — For the horn at the beginning of example 1, the Catenoid started at 80.22 (the end of the Arc) and ended at 132.5. After surface 1 was deleted in the current example the Catenoid now starts at 15.22 (still the end of the Arc); its X_end remains unchanged at 132.5. Because the Catenoid's length has increased, the parameters of its equation have changed; these have been automatically recalculated.

The equation of the Catenoid is automatically adjusted to accommodate the shift in the Arc.

Graphics prompt

The graphics prompt will suggest a surface for deletion. For example, the prompt might be 6 —> , which indicates that you can delete surface 6 simply by pressing Enter. (If the suggested surface is not correct, simply enter the correct surface number and then press Enter.)

When the resonator shape is first displayed, the suggested surface is the active surface. This is the same surface that would be deleted if you had used Ctrl+F4 (below) instead of the F4 key. The only exception is when the active surface is the 0 surface, which cannot be deleted. In this case, the suggested surface will be the last surface.

If you want to delete interior surfaces but only exterior surfaces are displayed (or vice versa), then —

1.Exit from the deletion graphics screen.

2.Press F2 to change between the exterior-interior surfaces.

3.Press F4 to begin deleting the desired surfaces.

Ctrl+F4

You can use Ctrl+F4 to delete surfaces in a nongraphical mode (i.e., without displaying the resonator shape). This can be quicker than using F4. To delete with Ctrl+F4 -

1.Determine which surface you want to delete.

2.Make that surface the active surface.

3.Press Ctrl+F4.

Alternatives to deletion

Rather than deleting a surface, consider modifying the existing surface.

Suggestions

If you want to delete a series of consecutive surfaces (e.g., surfaces 3, 4, 5, and 6), start deleting from the highest surface. When that surface has been deleted, CARD will automatically suggest the next lower surface for deletion. Continue this way until all of the desired consecutive surfaces have been deleted.

Also see:

Undo

Erase current resonator


F5 (finish)

Shape editor ›› Introduction ›› Keys ››

For a cylindrical resonator with an interior, the interior and exterior resonator lengths must be equal — i.e., X_end on the last surface of the interior must equal X_end on the last surface of the exterior. The F5 key automatically performs this function so that you do not have to remember the lengths of the exterior and interior surfaces. This also avoids any possible roundoff error between the final exterior and interior surfaces.

The F5 key inserts a final Straight surface that is parallel to the stud axis. Thus, if you are entering exterior surface data, F5 will only work if the current exterior length is shorter than the interior length. Similarly, if you are entering interior surface data, the F5 will work only if the interior length is shorter than the exterior length. Otherwise, nothing will happen.

If the exterior and interior lengths are not equal you will not be allowed to analyze (slice) the resonator. See here .


F6 (surface equation)

Shape editor ›› Introduction ›› Keys ››

The F6 key gives the equation of the active surface. This equation can be used to calculate the thickness at any position along the surface. Note that the Y value in each equation is the distance of the surface from the stud axis. Therefore, to determine the resonator thickness, the Y value must be doubled.


F7 (scale)

Shape editor ›› Introduction ›› Keys ››

F7 allows scaling of all resonator dimensions by a user-specified factor. This is particularly useful if you have initially designed a resonator to operate at one frequency and then want to redesign the resonator to operate at another frequency.

If you are scaling the resonator in order to adjust the frequency then the scale factor should be the reciprocal of the ratio of the frequencies.

Example

A resonator was initially designed for operation at 20 kHz. You now need to redesign the resonator to operate at 40 kHz (i.e., a 2:1 increase in frequency). You would then set a scale factor of 1:2 (i.e., 0.5). After performing the scaling, all of the dimensions would then be half as large as the 20 kHz resonator.

Note: if the scale factor is 1, then no scaling will be performed.


F8 (other menus)

Shape editor ›› Introduction ›› Keys ››

The F8 key gives quick access to additional menus (which are also available elsewhere) —

• Equipment

• Resonator materials

• Equivalent geometry [E]

• Bar horn dimensions

• Block horn dimensions

• Cylindrical cross-slotted horn dimensions


F9 (view resonator)

Shape editor ›› Introduction ›› Keys ››

Auto-tune surface attributes

If one of the Auto-tune modes has been selected, then special coloration is used for the auto-tune surfaces while in the Shape editor.


F10 (change units)

Shape editor ›› Introduction ›› Keys ››

See here .


M (resonator material)

Shape editor ›› Introduction ›› Keys ››

M allows changing the material properties.

If the active surface is 0 (the anchor surface) then M calls up a list of available resonator materials (whether active or inactive).

If the active surface is not 0 then M shows the material properties for the specified surface.

Notes —

1.This only works for exterior surfaces since interior surfaces don't have associated material properties.

2.If you change the material properties for a particular surface then the properties for all surfaces that share that material will also change. For example, if surfaces 2 and 6 have material Ti-6Al-4V, then changing the properties of surface 2 will simultaneously affect the properties of surface 6. If this is not the desired behavior then surfaces 2 and 6 should be assigned distinctly different materials.


| (flip)

Shape editor ›› Introduction ›› Keys ››

The | key flips the resonator end-for-end. This is useful if you are designing a high-gain resonator that won't converge during analysis. See known issues.

After the resonator has been flipped, you may want to set a new reference surface, especially if some of the X_end values are now negative.

Note: this is still experimental. You should verify all dimensions and materials after flipping.


Ctrl+Z (undo)

Shape editor ›› Introduction ›› Keys ››

Ctrl+Z will undo the surface that you had just entered or changed.

Process

Each time you enter or change a surface while in the Shape editor, CARD saves the entire resonator design to a temporary file. When you undo a change, CARD reloads this temporary file. Hence, you can only undo the change for the last surface that was changed.


Ctrl+X (cancel surface)

Shape editor ›› Introduction ›› Keys ››

After you have begun editing the numeric dimensions of a particular surface, you can cancel the process for the entire surface with Ctrl+X. This will return you to your original position in the Shape editor without any changes.


Esc

Shape editor ›› Introduction ›› Keys ››

Exits the Shape editor and returns to the Main menu.


Permitted values

Shape editor ›› Introduction ››

When editing the resonator dimensions, not all values are permitted. For example -

•X_end cannot be less than the previous X_end nor greater than the next X_end (if there is a next surface).

•The thickness can be less than 0. Also, Catenoid surfaces cannot have the same Thick as the Thick of the previous surface.

•Arcs cannot be chosen that undercut the previous surface. Arcs must also be large enough to span the distance between the surface end-points.

Also see Numeric entry .


Entering the shape

Shape editor ››

The shape (either exterior or interior) is entered as a series of connected surfaces (see Entering surfaces ). Each exterior surface also has associated material properties. (Interior surfaces do not have material properties.)

The exterior surfaces are numbered consecutively, starting from 0 at the left (input) end. The interior surfaces are numbered the same way. Exterior surfaces and interior surfaces need not have the same X_end values; in fact, interior surfaces often overlap multiple exterior surfaces.

Surface 0 is an anchor point that is located at (X,Y) = (0,0). It has no properties and cannot be modified in any way.


Anchor point

Shape editor ›› Entering the shape ››

Surface 0 is a common anchor point for both exterior and interior surfaces. This point is located at the left of the graphics screen. All surface input proceeds from this anchor point. This anchor point has no properties and can't be modified in any way.


Entering surfaces

Shape editor ›› Entering the shape ››

In the Shape editor each surface entry starts by pressing ◄─┘ at the Choice = prompt. This takes you through a series of subsequent menus. The first sub-menu ( Surface entry mode ) provides multiple options for entering or modifying the resonator's shape

•Insert new surface

•Modify existing surface

•Move surface

•Divide surface

•Change materials

•Stretch/shrink resonator

All surfaces are entered in succession from the anchor point (surface 0). Generally, the resonator is positioned in CARD such that the input surface (typically the low-gain end of the resonator) is attached to the anchor point. However, this is not a requirement. Instead, if you position the resonator so that the output end is attached to the anchor point then the amplitude and stress curves may appear abnormal.

Starting new surfaces

For both exterior and interior surfaces, a new surface must be started whenever the geometry of the resonator changes (e.g., from a straight surface to a curved surface). The general process is —

1.Choose the Surface entry mode.

2.Choose the surface type .

3.Enter the surface's X_end .

4.Enter the surface's Thick or Diameter.

5.Choose a material for that surface (only for exterior surfaces).

Exterior surfaces

When entering the exterior surfaces, a new surface must also be started whenever the material changes. (Note: this does not apply to interior surfaces since materials can't be assigned to interior surfaces.)

Note — It is advisable to change to a new material at the start of each new resonator component, even if the material properties have not actually changed. Doing so will make it easier to identify various components, both graphically and in the Shape editor.

For example, suppose you have a stack that consists of a booster and horn, both of which have been modeled with the same titanium Ti-6Al-4V. When you view this stack the same hatch-color combination will be used across both the booster and the horn since both have been modeled with the same material. This will make it difficult to see where the booster ends and the horn begins.

Instead, you could create two different titaniums. If needed, both could have the same properties. You could call one "Ti-6Al-4V booster" and the other "Ti-6Al-4V horn". Then the booster and horn would each have its own hatch-color combination so they would be easy to distinguish.

Exterior surfaces with 0 Thick or Diameter

Except for the anchor point and the very last surface, all exterior surfaces must have finite Thick or Diameter.

Example — You are modeling a resonator that consists of a half-wave booster (130 mm long) followed by a half-wave horn. You might be tempted to enter a surface at the end of the booster where X_end = 130 mm and Dia = 0. This would represent the face of the booster. Don't do this! Instead, at the end of the booster just start entering the horn surfaces.

Example — You are modeling a resonator whose last surface is perpendicular to the stud axis. Don't include this surface in your model! If you do then CARD may become confused. In any case, CARD will give a warning and will remove this surface.

Interior surfaces

Interior surfaces are those which form a bore (cavity) within the resonator. A bore is only permitted for cylindrical resonators. A bore can have multiple (stepped) diameters if required. (See interior surface types .)

Note — The X_end of interior and exterior surfaces doesn't have to align. Thus, interior surfaces can span multiple exterior surfaces and vice versa.

Note — The following discussion assumes that the exterior surfaces have already been entered prior to entering the interior surfaces. This will permit the F5 key (finish) key to be used.

The following are common scenarios —

1.Through bore (a bore that extends throughout the length of the resonator). Surface 1 (originating at anchor point 0) will be perpendicular to the stud axis (i.e., X_end = 0). The next surface will typically be parallel to the stud axis (i.e., a surface of uniform diameter - e.g., if the bore for that surface is being drilled). Subsequent surfaces can be any combination of Straight , Arc , and Arc-Straight .

2.Face cavity (a bore that extends to a limited depth from the resonator's face). Surface 1 (originating at anchor point 0) will lie on the stud axis (i.e., Y_thick or Dia = 0). This is a placeholder surface that defines the location of the bore bottom (i.e., X_end = location of bore bottom with respect to the anchor point, not with respect to the face.). Subsequent surfaces can be any combination of Straight , Arc , and Arc-Straight .

Note — To form a cylindrical, prismatic, flat-bottomed face bore you can also enter a front stud with zero length . This assumes that you will not be using an actual front stud.

Final surface (special considerations)

If the final bore surface has a uniform diameter then don't enter it by the usual method. Instead, use the F5 key to finish the interior. This will insert a final surface whose X_end is exactly the same as that of the last exterior surface. This is easiest and will avoid any possible roundoff error.

Surface numbers

As new surfaces are entered, sequential surface numbers are automatically assigned. These numbers can't be changed.

The sequence of surfaces starts from surface 0 (the anchor point). Each additional surface gets its own unique surface number. Exterior and interior surface numbers are completely independent (e.g., surface 1 on the interior is completely unrelated to surface 1 on the exterior).

Note —

1.If you insert a new intermediate surface (i.e., a surface that is not at the end) then that surface is assigned a number that is one greater than the preceding surface and the surface number of each succeeding surface is increased by one.

2.If you delete an intermediate surface then the surface number of each succeeding surface is decreased by one.

3.If you divide a surface into N segments then the surface number of each succeeding surface is increased by N-1.


Surface entry mode

Shape editor ›› Entering the shape ›› Entering surfaces ››

This menu determines the mode by which each surface of the resonator shape is entered. There are two primary modes (Insert and Edit ) and a secondary mode (Stretch/Shrink ) which acts in conjunction with the primary modes.

General considerations

The Insert mode is normally used when first entering a new resonator shape. In this case, you start from the back of the resonator and simply continue to insert new surfaces at the front until the resonator shape has been completely entered. You can also use the Insert mode if you wish to insert additional (intermediate) surfaces after the initial design has been entered.

The Edit mode is used to modify the resonator shape, often to improve the resonator performance (e.g., to achieve the required gain or stress.) However, note that CARD permits automatic adjustment of both gain (see auto-tune-gain ) and stress (see auto-tune-stress ).

For either mode the following parameters can be entered or changed for the affected surface — the surface type, X_end, thickness or diameter, and the material.

Note — Operations on the resonator's exterior shape have no effect on the resonator's interior shape and vice versa. For example, if you enter data that changes the exterior length of the resonator, the interior length will remain unaffected. (See the F5 key.)

Insert surface

When the Insert mode is active, a new surface is placed after the current surface. The total number of surfaces increases by one.

Edit surface

When the Edit mode is active the current surface will be modified. The total number of surfaces is unchanged.

Notes —

•Surface 0 cannot be edited since its values are fixed.

•If you only wish to change the material (leaving all other parameters unchanged) then the specific Change material option in this menu may be a better choice.

Effect of Stretch/Shrink mode

The Stretch/Shrink mode acts in conjunction with the primary modes.

From within this menu the Stretch/Shrink mode can be toggled using the + key.

In the following, operational surface refers to the surface that is being acted upon (either inserted or edited).

If the Stretch mode is Off then —

•The resonator length is not changed unless the operational surface is currently the last surface.

•If the operational surface is not the last surface then the dimensions of the next surface (i.e., immediately after the operational surface) will be adjusted to accommodate the operational surface. All other surfaces are unchanged.

•Since the resonator is not stretched, the X_end of the operational surface cannot exceed the X_end of the next surface. Otherwise, the length of the next surface would become negative as it attempted to adjust. If this restriction would cause a problem then see Insert and edit restrictions .

If the Stretch mode is On then —

•The resonator length is changed by Delta_X —

Delta_X = Length of inserted surface or Change in length of the edited surface

where all lengths are measured parallel to the stud axis.

•Excluding the operational surface, the lengths of all other surfaces will remain unchanged. However, the position of all surfaces after the operational surface will be moved by Delta_X (above) so that the resonator's length will also change by Delta_X.

•Since the resonator is stretched, the X_end of the operational surface is not restricted by the X_end of the next surface.

Move surface

When the Move mode is active the current surface will be moved as a rigid body to a new location. Unlike the edit mode, the surface type cannot be changed and the surface will not be deformed. The total number of surfaces is unchanged.

Effect of Stretch/Shrink mode

If the Stretch mode is Off then —

•The resonator length is not changed unless the moved surface is currently the last surface.

•If the moved surface is the last surface then the dimensions of the rear adjacent surface will be adjusted to accommodate the moved surface; otherwise, the dimensions of both adjacent surfaces will be adjusted to accommodate the moved surface. All other surfaces are unchanged. (Note — If the adjacent surface is an Arc then it will be moved by the same amount as the moved surface. This is because an Arc cannot be stretched to accommodate. The surface that adjoins the Arc will then be adjusted.)

•Since the resonator length is not changed, the moved surface can only slide forward or rearward until the length of either adjustment surface becomes zero. If this restriction would cause a problem then see Insert and edit restrictions .

If the Stretch mode is On then —

•The resonator length is changed by Delta_X —

Delta_X = Amount by which the moved surface is moved

where Delta_X is measured parallel to the stud axis.

•Excluding the rear adjustment surface, the lengths of all other surfaces will remain unchanged. However, the position of all surfaces after the moved surface will be moved by Delta_X (above) so that the resonator's length will also change by Delta_X. (Note — If the rear adjacent surface is an Arc then it will be moved by the same amount as the moved surface. This is because an Arc cannot be stretched to accommodate. The surface that precedes the Arc will then be adjusted.)

•Since the resonator is stretched, the X_end of the moved surface is not restricted by the X_end of the next surface. However, the moved surface can only slide rearward until the length of the rear adjustment surface becomes zero.

Move multiple surfaces

CARD does not have a function that directly allows multiple surfaces to be simultaneously moved. However, this can be achieved indirectly using the Edit surface option. This involves adjusting, in sequence, each surface that is adjacent to the block of surfaces that you want to move.

Example

Suppose a resonator has 12 surfaces and you want to move surfaces 4 through 7 forward by 5 mm while preserving the overall resonator length.

1.In the Shape editor make surface 3 the current surface.

2.In the Surface entry mode menu, turn Stretch/Shrink on. Then, in the same menu choose Edit surface.

3.Enter a new X_end for surface 3 such that its X_end point is 5 mm greater than the original surface. This will move all subsequent surfaces forward by 5 mm.

4.Now in the Shape editor make surface 8 the current surface.

5.In the Surface entry mode menu, turn Stretch/Shrink on. Then, in the same menu choose Edit surface.

6.Enter a new X_end for surface 8 such that its X_end point is 5 mm less than the original surface. This will move all subsequent surfaces backward by 5 mm.

The net result is that surfaces 4 through 7 will have been moved forward by 5 mm while surfaces 8 through 12 will have the same X_end values as the original design. Also, surfaces 4 through 7 will retain their original shapes.

Divide surface

A Straight surface can be divided into N equal collinear segments. The total number of surfaces increases by N-1.

This is useful when setting up auto-tune stress surfaces. Then, instead of entering N surfaces of equal length, you can enter a single long surface and then simply divide it into N short segments. This reduces the time needed to enter the resonator shape.

Notes —

1.Only Straight surfaces can be divided.

2.Regardless of the state of the Stretch/Shrink mode, the resonator length will not be changed.

Insert and edit restrictions

If you are entering surface data in the Shape editor and the Stretch/Shrink option is turned off, then the X_end of the current surface cannot exceed the X_end of the next surface. (If the Stretch/Shrink option is turned on then there is no problem because the subsequent surfaces will simply be moved to accommodate any changes to the current surface.)

If you cannot properly Insert or Edit a surface because the next surface would interfere then try either of the following before you change the current surface —

•Use the Edit mode (with Stretch/Shrink either on or off) to increase the X_end of the next surface to a sufficiently large value.

•Delete the next surface and any subsequent surfaces until the X_end of of the next surface is sufficiently large.

Change material

The following options are available —

•Change material of current surface

•Change material of one surface

•Change material of connected surfaces

•Change material of all surfaces

•Replace specific material

Keep current edit mode

If Keep current edit mode is false then the entry mode always reverts to Insert when this menu is accessed. Also, the Stretch/Shrink option is set to No. These are the safest settings since it prevents accidental erasure of surfaces.

If Keep current edit mode is Yes then the current entry mode is preserved until it is manually changed. However, note that if the current entry mode is Edit then you may accidentally overwrite existing surfaces if you are not careful.


Divide surface

Shape editor ›› Entering the shape ›› Entering surfaces ››

A Straight surface can be divided into N equal collinear segments. The total number of surfaces increases by N-1.

This is useful when setting up auto-tune stress surfaces. Then, instead of entering N surfaces of equal length, you can enter a single long surface and then simply divide it into N short segments. This reduces the time needed to enter the resonator shape.

Note — Only Straight surfaces can be divided.

Number of segments

Enter the number of segments into which the current surface will be divided. If the number of segments is 1 then the surface will not be divided.


Modifying the shape

Shape editor ››

After you have entered several surfaces you may decide to modify the resonator's shape.

1.Scroll to the desired surface. This will become the active surface .

2.At the Choice = prompt press ◄─┘. In the next menu you can —

1.Insert a new surface after the selected surface.

2.Modify the selected surface (i.e., edit, move, or divide).

3.Change materials, either for the selected surface or for many surfaces.

See entering surfaces .


Changing materials

Shape editor ››

For each exterior resonator surface that you enter in the Shape editor , the final step is the assignment of a material to that surface. (Interior surfaces, if they exist, don't have material attributes.) However, at some point you may decide —

•That one of the materials needs different properties

•That certain surfaces need different materials (i.e., change the material-surface assignment).

Important — If required, use the F2 key so that the exterior surfaces list is displayed.

Changing material properties

To change the properties of a particular resonator material, access Main menu\Materials\Resonator materials or press M. Then select the desired material from the list and change its properties. This method is suitable for changing one or a few properties.

Note — If you are in the Shape editor where the list of exterior surfaces is shown, you can scroll until the active surface has the desired material. If you press M at that point then the material properties of that surface will be shown. You can change these properties.

Note: when you change the properties of a particular material then the material properties of every surface that uses that same material will also change. For example, suppose exterior surfaces 2, 3, 7, 8, and 9 are made of Ti-6Al-4V. Then if you change the material properties of surface 7, then the properties of surfaces 2, 3, 8, and 9 will also change to the new properties.

Substituting materials

In many cases it is simpler to substitute a material rather than to change the material properties. For example, you might have a 7075-T6 aluminum horn that you want to convert to Ti-6Al-4V titanium in order to increase its fatigue life and/or to reduce wear. You could use the above method to change the properties from 7075-T6 aluminum to Ti-6Al-4V titanium. However, this is not very efficient.

A better approach is just to substitute titanium for aluminum. The steps are —

1.In Preferences\Configuration\Master materials set up one of the available materials with the properties of Ti-6Al-4V titanium. This only needs to be done once; then the material can be reused later. Save the material.

2.Access Main menu\Materials\Resonator materials or M. Access the resonator material that you want to change (in this case, 7075-T6 aluminum).

3.At the bottom of that menu access Get different material. Choose Ti-6Al-4V titanium from the Master material menu. Then Ti-6Al-4V titanium will be substituted for the 7075-T6 aluminum.

Changing selected surfaces

In the above methods, changing a material will change all instances of that material in the model. For example, suppose you have a stack that consists of a booster and horn, both of which have been modeled with the same titanium. Now suppose that you want to change the booster from titanium to aluminum. If you use the above methods then every instance of the specified titanium would change to aluminum. Thus, the horn would also change to aluminum.

CARD provides a way around this problem. In the Shape modeler when you access Choice = , one of the options on the next menu is Change material. where you can change the materials for selected surfaces .


Changing selected surfaces

Shape editor ›› Changing materials ››

Note — This menu is only available for exterior surfaces since interior surfaces do not have an associated material.

Change material of active surface.

This will change the material of the current active surface .

Change material of one surface

This will change the material of a single surface which you can specify. This could be the active surface but the above method is easier.

Change material of connected surfaces

This will change the material of a set of connected surfaces. You will choose the highest surface number and then the lowest surface number. The material for all of the surfaces between the highest and lowest (including the highest and lowest) will be changed to a selected material.

This is typically used for a part. For example, you could change all booster surfaces from titanium to aluminum.

Change material of all surfaces

This will change the material of every exterior surface throughout the model.

Replace specific material

This will substitute one material for another throughout the model. For example, you might have a transducer with multiple nickel electrodes. Then you could use this method to change all of these electrodes to brass.

Also see changing materials .


Non-cylindrical entities (equivalent geometry)

Shape editor ››

To handle non-cylindrical geometries (e.g., wrench flats, spanner holes, rectangular sections, etc.) on a cylindrical resonator, see geometry requirements and Equivalent geometry [E] .


Estimating the initial tuned length

Shape editor ››

In the auto-tune length mode, an initial estimate of the tuned length is needed. A rough estimate will suffice since CARD will adjust the length in order to tune.

For a thin unshaped resonator the resonant length L is —

L = (c N) /(2 f)

where —

c ≡ thin-wire wave speed [m/sec]
N ≡ number of half-waves
f ≡ frequency [Hz]

Most acoustic materials have a thin-wire wave speed of roughly 5000 m/sec. Then for a frequency of 20000 Hz, a single half wavelength is 0.125 m = 125 mm. This will generally be sufficient as a first estimate for any resonator type. (This can be adjusted if the frequency is different than 20000 Hz or if there are additional half-waves.)


Viewing the resonator [F9]

The resonator shape can be viewed by pressing F9 or from the Graph menu (Alt+G).

Very important

Graphics are displayed in a separate window from CARD's text window. However, the text window must always retain focus. Otherwise keyboard input is disabled and CARD appears to freeze.

Example. You have opened CARD's graphics window but want to move it to a new location. You then might grab that window's title bar and drag it to a new location. However, by doing this you have given focus to the graphics window instead of the text window so that keyboard input is thereby disabled. To re-enable keyboard input, click anywhere in CARD's original text window and press Esc. This will close CARD's graphics window.

Example. You have opened CARD's graphics window but then move to another Windows application. Then when you move back to CARD's text window, the keyboard input is disabled. This is because CARD's graphics window is still open, although it may be hidden behind other Windows applications. To re-enable keyboard input click anywhere in CARD's original text window and press Esc. This will close CARD's graphics window.

Very important

Never close the graphics window by clicking on the X in its upper right corner. This will permanently disable all keyboard input for the current session of CARD. Instead, while the graphics window is open and when the text window has focus, just press Esc.

View overview

View options


View overview

Viewing the resonator [F9] ››

CARD designs resonators by looking at a side view of the resonator. For slotted bar resonators this is the side view where the slots (if they exist) cannot be seen.

Since the resonator is assumed to be symmetric about the stud axis, only the top half of the resonator (with respect to the stud axis) is shown (i.e., the bottom half is assumed to be identical to the top half). If the resonator is rectangular then it is like looking at 1/2 of the end view. Both exterior and interior surfaces (if any) are shown.

Surface numbers

Surface colors

Material hatch patterns and colors

Studs, wrench flats, spanner holes

Slots

Static force arrows


Surface numbers

Viewing the resonator [F9] ›› View overview ››

An identifying surface number is displayed at the end of each surface. If desired, these surface numbers can be turned off .

If you are viewing the resonator shape from within the Shape editor and if you are entering exterior surfaces, then only the exterior surface numbers will be displayed (i.e., no interior surface numbers will be shown, even if interior surfaces are present). Similarly, if you are entering interior surfaces then only the interior surface numbers will be displayed. (Note: use the F2 key to change between entry of exterior and interior surfaces.) This has been done to avoid confusion during entry of the resonator surfaces. If you want to see both the exterior and interior surfaces together while in the Shape editor, access any of the bar menu options and then press F9.


Surface line colors

Viewing the resonator [F9] ›› View overview ››

Surfaces are represented by lines that connect the surface numbers. Line colors are used to distinguish different kinds of surfaces.

Standard surfaces

Standard surfaces (those without special attributes) are shown in blue.

Auto-tune surfaces

Any auto-tune surfaces are shown as dashed lines. All auto-tune surfaces are drawn with thicker lines.

Currently chosen

This section applies if auto-tune surfaces have already been chosen from the Main menu\Tuning checklist.

Those auto-tune surfaces that affect frequency are shown in dashed red-yellow. Those auto-tune surfaces that affect performance are shown in dashed blue-yellow.

Auto-tune surface | Dashed colors | Notes
Auto-tune length | Red and yellow | Affects frequency
Auto-tune step | Red and yellow | Affects frequency
Auto-tune thickness | Red and yellow | Affects frequency
Auto-tune gain | Blue and yellow | Affects performance
Auto-tune stress | Blue and yellow | Affects performance

Note: In some cases a single surface may be chosen which will affect both frequency and performance. In this case the performance colors take precedence. For example, suppose that surface 4 is an auto-tune length surface (affects frequency) and also an auto-tune stress surface (affects performance). Then the colors of the auto-tune stress surface will be displayed.

In the Shape editor

If an Auto-tune mode has been selected then special coloration is used for the auto-tune surfaces while while viewing the resonator in the Shape editor.

•Selected surfaces. For any auto-tune surfaces that have already been selected (from Main menu\Tuning checklist), the colors are as described above.

•Potential surfaces. Any other potential auto-tuning surfaces (those that also meet the auto-tune requirements) are solid (non-dashed) and colored as shown in the following table. (Note: if no auto-tune surfaces have yet been selected then all potential auto-tune surfaces will be displayed per the following table.)

Potential (alternate) auto-tune surfaces | Solid colors | Notes
Auto-tune length | Red | Affects frequency
Auto-tune step | Red | Affects frequency
Auto-tune thickness | Red | Affects frequency
Auto-tune gain | Blue | Affects performance
Auto-tune stress | Blue | Affects performance

Note that all potential auto-tune surfaces must meet certain requirements, either for frequency adjustment or performance . If all surfaces just have normal coloration, this indicates that none of the surfaces meets the auto-tune requirements.

If you are in the auto-tune-stress mode then you will be prompted as to whether you want to view the auto-tune-length surfaces or auto-tune-stress surfaces. A similar situation will occur for the auto-tune-gain mode (i.e., a choice to view either .auto-tune-length surfaces or auto-tune-gain surfaces).


Material hatch patterns and colors

Viewing the resonator [F9] ›› View overview ››

If a resonator is made of more than one material then these different materials will be shown in different hatch patterns and colors. The hatch patterns and colors are assigned to resonator materials based on the order in which each resonator material was chosen (i.e., on a first-come first-served basis). Thus, the hatch-color combination #1 is always assigned to the first chosen resonator material, etc. The hatch-color combination has no relation to the actual material. For example, in one design hatch-color #3 may represent titanium whereas in another design it may represent aluminum. However, within a given design the same hatch-color combination will always represent components that are made of the same material. For example, if a transducer has a titanium rear driver and a titanium front driver and if both of these components have been assigned the same titanium material then both will have the same hatch-color combination. Thus, the hatch-color combinations are only used to visually distinguish different materials.

Note: If you delete a standby material then the hatch-colors for the remaining materials may change. However, this does not change the material properties of these materials.

The hatch-color combinations can't be changed by the user.


Studs, wrench flats, spanner holes

Viewing the resonator [F9] ›› View overview ››

Studs, wrench flats and spanner holes are standard entities that can be set in Main menu\Equipment.

If present, the studs and stud holes are shown.

If present, wrench flats and spanner wrench holes are shown as dashed lines.

None of these entities have surface numbers.


Slots

Viewing the resonator [F9] ›› View overview ››

Slots are available for bar horns and block horns. Slot settings are set in a sub-menu of Main menu\Input checklist.

Slots that are machined into the resonator width will be shown as dashed vertical lines. Slots that are machined into the resonator thickness (only for block horns ) will be shown in their full contour.

Slots do not have surface numbers.


Static force arrows

Viewing the resonator [F9] ›› View overview ››

If static forces have been applied to the resonator then these will be shown as arrows. These arrows show the location and direction of the force. However, the length of the arrow is fixed (i.e., the length does not indicate the size of the static force).


View options

Viewing the resonator [F9] ››

Some settings can improve the view of slender resonators. These can be accessed by pressing G or \Preferences\Setup\ Graphics .


Site map

The site map shows help for all of CARD's menus. Note that some options may not have any help — this includes options whose function is obvious and those options where help has not yet been developed.

Expanding the menu tree

While viewing this document in a viewer, you can expand the entire menu tree to see all topics —

1.Click on the Contents tab.

2.Right-click on any topic.

3.Click Open all.


Bar menu

Site map ››

The Bar menu is a horizontal set of menus that appears at the top of each window. Each bar menu option is accessed by pressing-and-holding the Alt key and then pressing the highlighted character of the desired bar menu. For example to access the File menu press Alt+F.

The bar menu options can be accessed successively without returning to the previous menu. For example, from within the File menu you can access the Preferences menu (Alt + P). However, this can only be done five levels deep.

In all cases press Esc to exit the current menu.

The following bar menu options are available —

File

Preferences

Graph

Equations

Help

About


File [Alt + F]

Site map ›› Bar menu ››

Note: If two files have the same file name but different paths then these files are nominally assumed to be different.

Change description

Change the description of the current resonator. This description will appear on your printed output and is also saved as part of the resonator file. If you don't want any description then press Ctrl+X after accessing this option.

Open file [O]

Open recent

Lists the ten most recently opened files, together with the associated resonator description. The most recently opened files are listed first. Any duplicates are deleted from the list.

Save file [S]

The file will be saved in the current data folder, even if it was originally loaded from another folder. Thus, before saving make sure the data folder is correct.

Erase current resonator

All exterior and interior surfaces of the current resonator will be erased. The result is the same as using the F4 key in the Shape editor to erase each individual exterior and interior resonator surface.

The resonator design cannot be recovered unless it had already been saved. The configuration options (equipment and materials) will not be changed.

Output resonator dimensions + materials

Output the current resonator dimensions including the centerline coordinates for all Arcs. Output will include peripheral information (studs, spanner wrench holes, wrench flats, etc.) as well as the resonator materials and material properties.

Output can be directed to either to a printer or file.

Output materials from master database

Output the material properties for all of the materials in the master database. Output can be either to a printer or file.

Export to dxf file

Exports the resonator outline to an AutoCAD dxf (drawing exchange format) text file. The resonator can then be viewed (e.g., by zooming) or dimensioned. The resonator dimensions will depend on the units of CARD when the file is exported.

Only the surfaces that have been entered in the Shape editor are exported. No parametric entities (wrench flats, spanner holes, cavities, slots, etc.) are exported.

Straight and Arc surfaces are exported exactly. All other surfaces (e.g., exponential and catenoid ) are exported as a series of connected line segments. If needed, these can be converted to smooth surfaces in your CAD software by placing a spline or Bezier curve through the end points of the line segments.

The material number for each material (exterior surfaces only) is saved as the corresponding dxf layer number. (The material number is secondarily saved as the corresponding color number. The color that is displayed by your CAD program or viewer will depend on your particular software.)

Coordinate plane

You can export to either of the following two coordinate planes —

1.XY — the resonator's stud axis will lie along the X axis. This may be appropriate if the dxf file will be opened by 2D CAD software.

2.YZ — the resonator's stud axis will lie along the Z axis. This may be appropriate if the dxf file will be opened by finite element analysis software.

Exit CARD [X]

When you choose this option, CARD prompts —

Save current file before quitting? Y/N

If you choose Yes then you are returned to the Save file option after which you can continue in CARD or quit.

If you choose No then the CARD session ends.

Note — CARD always displays the above prompt, even if you have not made any changes since the previous save.


Preferences [Alt + P]

Site map ›› Bar menu ››

Preferences

You can change your Preferences (Alt+P) at any time. However, it is most convenient to do this the first time that you start CARD. Preferences are divided into two options.

1. Setup . These generally relate to CARD's interface or the operation of CARD, not to CARD's analysis.

2. Configuration . You can set the Master equipment properties and the Master materials properties. All of these properties are generic until you set them for your particular requirements. Note: You can set the equipment and material properties for a particular resonator design from the Main menu.
Here you can also set the units.

Save any changes that you want to make permanent for each time that you start CARD.


Setup

Site map ›› Bar menu ›› Preferences [Alt + P] ››

The Setup menu gives access to the following options —

Graphics [G]

The following options control how the graphics are displayed —

•Graphics display options

•Expand vertical axis

•Show surface numbers

•Show surface dots

•Show graphics cursor help

•Graphics file name

Attention bell

Two high pitched beeps are used to call attention to some aspects of CARD (e.g., when the units have changed or when calculations have completed). Access this option to turn this bell on or off.

Error bell

A low-pitched beep is used for warnings and errors (e.g., when an incorrect key is pressed). Access this option to turn this beep on or off.

Menu cursor advance

If Yes, then after you access a menu option and then press ◄─┘, the cursor will automatically advance to the next menu option. This will often speed entry of menu data.

If No, then the cursor will remain at the current menu option.

Override numeric limits

CARD establishes reasonable limits for many numeric entries. However there may be some situations where you believe that these limits are too restrictive. In this case you can set this option to override these limits. However, you should use this option with caution since it may cause unexpected results or may cause CARD to crash.

Note -

•You can't override integer entries.

•You can't override values that are expressly excluded because these would almost always cause CARD to crash.

•The override remains active until you turn it off. While active, all numeric entries in all menus can be overridden.

•The override option is only valid for the current session. Thus, whenever you start CARD the override option is always turned off. However, when you save a resonator, any values that you have entered that are outside of the suggested range will be saved with the file.

Default tuning mode

You can set the default tuning mode to the one that you use most often. See here .

Save setup

Saves the current setup options to file CARD0002.cfg. This setup file will be used each time that you start CARD. If this file cannot be found then internal defaults will be used.


Graphics [G]

Site map ›› Bar menu ›› Preferences [Alt + P] ›› Setup ››

Graphics display options

Resolution

You can set the graphics resolution (pixels). Three resolutions are available.

1.640 x 480

2.800 x 600

3.1024 x 768 — This will display full screen.

Expand vertical axis

For the resonator graph, the vertical Y-axis is normally scaled to match the X-axis. For long thin resonators, this may not show sufficient detail, especially when surface numbers are displayed. Also, closely spaced surface numbers may overlap. In this case the Y-axis can be expanded to the full graphics window height.

Notes —

1.When the Y-axis can be expanded the resonator will appear too fat and Arcs will appear distorted; however, the actual geometry is still preserved.

2.If the resonator is simultaneously shown with an amplitude or stress curve then this option has no effect.

3.If the resonator is very long compared to its diameter or thickness then it may not be possible to properly scale the Y-axis to match the X-axis. In this case the Y-axis will be expanded to full graphics window height, regardless of the setting of this option.

Surface numbers

At the end of each resonator surface, a surface number is normally displayed in a box. For long thin resonators or complicated resonators, these numbers may hide some resonator details. In this case, the numbers can be hidden. and replaced by a small dot at the end of each surface. For certain graphs (e.g., when choosing the auto-tune surfaces), the surface numbers will always be displayed.

Notes —

1.Although you may choose to hide the surface numbers, in some circumstances they will still be shown — e.g., when you are required to select specific surfaces based on their surface numbers.

2.These global settings for surface numbers may be overridden locally in \Graphics\ Graph options .

3.When you save the Setup, this option will not be saved. Thus, whenever you start CARD, the surface numbers will be displayed unless you reset this option.

Surface dots

If you choose not to show the surface numbers, the surface numbers at the end of each surface are replaced by small dots. You can also hide these surface dots. However, then you may not be able to discern where one surface ends and the next surface begins.

Material hatch

Generally the material hatch should be shown. However, when the resonator has many materials (e.g., a transducer) then the resonator will be drawn more slowly due to the hatch floodfills. The drawing speed can be increased by preventing the hatches. This can be important where the resonator is be repeatedly redrawn (e.g., when moving the graphics cursor ).

Graphics cursor help

When a graph is displayed, a graphics cursor (typically a cross-hair) will track along the curve (either exterior/interior surfaces or data curves). If you choose to show the graphics cursor help then a preliminary screen will display graphics cursor information . (This will display only once for each CARD session.)

This option can be permanently set in \Preferences\Setup\Save setup. To view the available graphics cursor keys again press K (keyboard).

Graphics file name

Version 10.19a — Copyright © 1985-2018 by Donald R. Culp. All Rights Reserved.


Configuration

Site map ›› Bar menu ›› Preferences [Alt + P] ››

The Configuration menu gives access to the following options —

Master equipment database

Master materials database

Units [F10]

Save configuration


Master equipment database

Site map ›› Bar menu ›› Preferences [Alt + P] ›› Configuration ››

The Master equipment database establishes various sets of equipment parameters as defaults. Then as you design your resonator you can select any default equipment for use with your resonator.

Note: the equipment parameters that are entered in the Master equipment database are those that would generally apply to a particular series of equipment. For example, you might have one equipment series that normally uses Ø5mm spanner holes. However, this particular specification might not apply to your current resonator design. In that case you can make local adjustments at \Main menu\Equipment rather than modifying the Master equipment database.


Master materials database

Site map ›› Bar menu ›› Preferences [Alt + P] ›› Configuration ››

A central database of materials from which the resonators can be designed.


Units

Site map ›› Bar menu ›› Preferences [Alt + P] ›› Configuration ››

See here .


Save configuration

Site map ›› Bar menu ›› Preferences [Alt + P] ›› Configuration ››

Save the CARD configuration to file CARD0001.cfg.


Graph menu [Alt + G]

Site map ›› Bar menu ››

The Graph menu gives access to the following options (depending on the situation) —

Amplitude reference location

Reference amplitude

Graph options

Display resonator shape [F9]

Display amplitude (*)

Display ultrasonic stress (*)

Display strain energy (*)

Display loss (*)

Display static stress

Note — Those options with an asterisk (*) are only available after the resonator has been analyzed.

The following options are available after the resonator has been analyzed (sliced) but only before returning to the Main menu —

Output summary data

Output end-point data

Output detailed data

View performance results


Amplitude reference location

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

You can specify resonator's amplitude at either of two locations — the output surface or the input surface. The output surface is most common because, for a typical design, this is the surface that does the work on the load.

Note — Regardless of how you input the resonator shape, CARD's "output surface" is always the surface that is closest to the right of the screen and CARD's "input surface" is always the surface that is closest to the left of the screen (i.e., surface 0). These definitions remain true even if you flip the resonator.


Reference amplitude

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Specify the amplitude of the resonator at the reference location . All of the graphed performance parameters will be scaled according to this amplitude. All amplitudes have units of microns, peak-to-peak (indicated as P-P on the graphs).

The reference amplitude is only used for displaying the graphs within this menu. It is not currently used elsewhere within CARD.


Graph options

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

These options affect how the graphics are displayed. The following can be set to Shown or Hidden. Note that these options only apply within the Graphics menu.

Resonator shape

Along with each data graph (amplitude, stress, etc.) you can also include the resonator shape at the bottom of the graphics window. This provides a correlation between the resonator shape and the calculated results. However, if you want the data graph to occupy the entire graphics window then you should hide the resonator shape.

External surface numbers

At the end of each resonator surface, a surface number is normally displayed in a box. For long thin resonators or complicated resonators, these numbers may hide some resonator details. This option allows you to hide these surface numbers.

Notes —

1.While in this menu, this option supersedes the global surface numbering option that is set in Preferences\Setup\Graphics\ Show surface numbers or G.

2.If you choose to hide the surface numbers, they will be hidden only if you access the graphics via one of the menu options. However, if you use the F9 key to display the resonator's shape then the surface numbers will be controlled by the global settings in Preferences\Setup\Graphics\ Show surface numbers or G, regardless of the settings in this menu.

3.If you choose to show the surface numbers then they will be shown or hidden depending on the global settings in Preferences\Setup\Graphics\ Show surface numbers or G.

Internal surface numbers

See External surface numbers above.

Graphics cursor

If the graphics cursor (typically a cross-hair) is shown then the cursor will track along a curve (either exterior/interior surfaces or data curves). At the same time, the X-Y coordinates of the cursor will be displayed in a panel at the top.

When the graphics cursor is shown these keys are permitted. (See for important information.)


Display resonator shape [F9]

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

See here .


Graph amplitude

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

The amplitude curve represents the approximate amplitude distribution along the stud-axis of the resonator. The amplitudes are scaled according to the reference amplitude .

Gain

The resonator gain equals the graphics output amplitude (at the right of the screen), since the input amplitude is 1.0.

Example: the graphics output amplitude is 3.2. This is also the gain.

Node location

The node is the location of zero axial amplitude, as indicated by the point where the amplitude curve crosses the horizontal axis. There will be one node for each half-wave section of the resonator.

For resonators that do not have substantial area changes near the node (e.g., exponential and catenoidal horns), the actual (true) node location will be very close to the indicated value. However, for resonators with large area changes near the node (e.g., stepped resonators), the indicated node will be somewhat in error. This is because the change in resonator cross-sectional area causes a curvature in the nodal plane. Since CARD performs a one-dimensional analysis of the resonator, it does not account for this distortion.

Show/hide resonator shape

In addition to viewing this data curve you can show or hide the resonator shape from the Graph options menu .


Graph ultrasonic stress

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

The stress curve indicates the approximate axial stress along the stud axis of the resonator. The stress curve does not indicate any nonaxial stresses (e.g., radial or flexure stresses) that may be present. The stresses are scaled according to the reference amplitude .

CARD applies a stress concentration factor for all Arc surfaces. The value of this stress concentration factor is determined by the resonator dimensions. This stress concentration is shown as a filled square on the stress graph.

For slotted bar horn, CARD accounts for the slot stress by applying a stress concentration factor to the nominal stress at the ends of the slot. This stress concentration factor has been determined from finite element analysis of typical bar horns. This stress concentration is shown as a filled circle on the stress graph.

If possible, the horn design should be adjusted so that the slot stress is less than peak axial stress. This can be done by adjusting the slot length or position. Otherwise, the horn will probably fail at the slot.

Cross-slotted horns

1.Unless otherwise indicated, stresses at the ends of the slots are not calculated for these horns. In practice, these slot stresses are usually greater than any other stress in cross-slotted horns, since failure in these horns usually occurs at the ends of the slots where the slots intersect.

2.The outer elements may undergo a bending motion that adds additional stress at the node.

Thus, for cross-slotted horns the actual horn stress may be substantially greater than the stress that is calculated by CARD.

Show/hide resonator shape

In addition to viewing this data curve you can show or hide the resonator shape from the Graph options menu .


Graph strain and strain energy

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Graphs parameters associated with the strain energy of the resonator. The parameters are scaled according to the reference amplitude (i.e., the strain is scaled linearly and the energies are scaled with the square of the amplitude)

Strain

The strain at any location X can be determined either by —

•Calculating the slope of the amplitude curve. This may be visually difficult for thin parts (e.g., transducer electrodes) since the change in slope (compared to surrounding materials) may be difficult to discern.

•Dividing the stress by the associated modulus. This is the method used by CARD.

Strain energy

For an elemental volume dV that is being stretched or compressed, the strain energy of the material is —

Strain energy = ½ Stress * Strain * dV

(Stress)2 * dV
= ½ ――――――――――――――
Modulus

= ½ (Strain)2 * Modulus * dV

This equation assumes that the material obeys Hooke's law (i.e., that the stress and strain are linearly related by the modulus).

Strain energy per unit volume

The strain energy per unit volume (the strain energy density) is given when the above equation is divided by the elemental volume dV —

Strain energy density = ½ Stress * Strain

(Stress)2
= ½ ―――――――――
Modulus

= ½ (Strain)2 * Modulus

The strain energy density allows the loss per unit volume to be calculated.

Strain energy per unit length

Graphs the strain energy distribution. Integration of this graph will give the cumulative strain energy.

Cumulative strain energy

Displays the cumulative strain energy in the resonator, starting at 0 at the left and increasing continuously to the right. This is not the strain energy distribution in the resonator (i.e., the strain energy per unit length).

The right-most value is the total strain energy in the resonator. The net strain energy between any two locations in the resonator is the difference in the curve values between those locations.

Example. The strain energy value at location X2 is 85 while the strain energy value at location X1 is 52. Thus, the net strain energy between locations X2 and X1 is 85 - 52 = 33.

Note that the cumulative strain energy curve flattens out in the antinode regions because these regions have relatively low strain (as shown in the graph of strain energy per unit length) and, hence, contribute little to the accumulating strain energy.


Graph strain and loss

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Graphs parameters associated with the power loss of the resonator. The parameters are scaled according to the reference amplitude (i.e., the strain is scaled linearly and the losses are scaled with the square of the amplitude)

Strain

The strain at any location X can be determined either by —

•Calculating the slope of the amplitude curve. This may be visually difficult for thin parts (e.g., transducer electrodes) since the change in slope (compared to surrounding materials) may be difficult to discern.

•Dividing the stress by the associated modulus. This is the method used by CARD.

Loss per unit volume

If the Q (or similar parameters) and frequency are known, then the loss per unit volume can be determined.

2π * Frequency * Strain energy per unit volume
Loss per unit volume = ――――――――――――――――――――――――――――――――――――――――――――――
Q

Note — Q (the quality factor) for many materials may decrease significantly with amplitude in which case the loss is thereby also affected. This is especially true for many steels. On the other hand, Q for titanium is relatively unaffected by amplitude (within reasonable limits for fatigue considerations).

For a resonator that is made of a single material, the loss per unit volume is directly proportional to the rate of temperature rise (e.g., ºC/sec or ºF/sec) under the following assumptions —

1.There is no heat conduction between adjacent slices.

2.There is no heat transfer out of the resonator (e.g., to the support structure or the surrounding medium).

These assumptions are only partially true.

If the above assumptions are assumed then actual rate of temperature rise is given by —

Loss per unit volume
Rate of temperature rise = ―――――――――――――――――――――――
Specific heat * Density

where, for example, the units in the metric system would be —

Parameter | Units (metric)
Value on graph | Watt/m3 = (1 joule/sec)/m3 = (9.480 x 10-4 BTU/sec)/m3
Specific heat | BTU/(kg ºC)
Density | kg/m3
Rate of temperature rise | ºC/sec

If the resonator is made of multiple materials then the above equation must be applied to each material so that the rate of temperature rise is correctly scaled.

Loss per unit length

Graphs the loss distribution. Integration of this graph will give the cumulative loss.

Cumulative loss

Displays the cumulative loss in the resonator, starting at 0 at the left and increasing continuously to the right. This is not the loss distribution in the resonator (i.e., the loss per unit length).

The right-most value is the total loss in the resonator. The net loss between any two locations in the resonator is the difference in the curve values between those locations.

Example. The cumulative loss value at location X2 is 93 while the cumulative loss value at location X1 is 47. Thus, the net loss between locations X2 and X1 is 93 - 47 = 46.

Note that the cumulative loss curve flattens out in the antinode regions because these regions have relatively low strain and loss (as shown in the graph of loss per unit length) and, hence, contribute little to the accumulating loss.


Graph static stress

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Static forces can be applied to the resonator. These forces will induce static stresses which may reduce the resonator's fatigue life.

Axial force

A static force can be applied parallel to the resonator's stud axis. This will produce static tension/compression stresses in the resonator. If the force is offset from the stud axis then it will also produce bending stresses.

Note: if a static force is applied then an arrow will be shown in the graphics view. The arrow shows the location and direction of the force. However, the length of the arrow is fixed (i.e., the length does not indicate the size of the static force).

Location of axial force from output end

The distance from the resonator's face to the point where the static axial force will be applied. Often this will be 0 (i.e., the force will be applied exactly at the output end of the resonator).

This location should be in front of any surfaces whose lengths may change during tuning; then this location will remain fixed with respect to the face during tuning.

In front of this location there will be no stresses due to axial forces.

Note: If the resonator has a solid face (no face interior or face cavities ) then the axial force will be applied at the center of the resonator's face. If the face is not solid then set this to a small value behind the resonator's face (e.g., 0.01 mm or 0.001 inch) so that the force will be located on the lateral diametral surface.

Location of axial support

The distance at which the resonator is assumed to be restrained (fixed) against any axial movement due to the static axial force. This distance is measured from the back of the resonator.

Behind this location there will be no stresses due to axial forces.

This location should be behind any surfaces whose lengths may change during tuning; then this location will remain fixed during tuning.

Suggested location — at the base of resonator (i.e., where the resonator joins to the transducer or booster). If the model doesn't have a transducer or booster then the suggested location is surface 0.

Static transverse force

A static force can be applied transverse (perpendicular) to the resonator's stud axis. This will produce static bending stresses in the resonator.

Note: if a static force is applied then an arrow will be shown in the graphics view. The arrow shows the location and direction of the force. However, the length of the arrow is fixed (i.e., the length does not indicate the size of the static force).

Location of transverse force from output end

The distance from the resonator's face to the point where the static axial force will be applied. Often this will be 0 (i.e., the force will be applied exactly at the output end of the resonator).

This location should be in front of any surfaces whose lengths may change during tuning; then this location will remain fixed with respect to the face during tuning.

In front of this location there will be no stresses due to axial forces.

Note: If the resonator has a solid face (no face interior or face cavities ) then the axial force will be applied at the center of the resonator's face. If the face is not solid then set this to a small value behind the resonator's face (e.g., 0.01 mm or 0.001 inch) so that the force will be located on the lateral diametral surface.

Location of cantilever support

The distance at which the resonator is assumed to be restrained (fixed) against any lateral movement due to the static axial force. This distance is measured from the back of the resonator.

Behind this location there will be no stresses due to transverse forces.

This location should be behind any surfaces whose lengths may change during tuning; then this location will remain fixed during tuning.

Suggested location — at the base of resonator (i.e., where the resonator joins to the transducer or booster). If the model doesn't have a transducer or booster then the suggested location is surface 0.

Fatigue failure criterion

Choose a fatigue failure criterion that considers both the ultrasonic stresses and the static stresses — either Goodman line or Gerber parabola. (The Goodman line is more conservative.)

Graph static stresses

Graph combined static stresses + ultrasonic stress

This option is only available if a static force has been applied and if the resonator has been analyzed (sliced).

Graph reserve ultrasonic stress

This option is only available if a static force has been applied and if the resonator has been analyzed (sliced).

Graph fatigue diagram

Version 10.19a — Copyright © 1985-2018 by Donald R. Culp. All Rights Reserved.


Output summary data

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Outputs the resonator information and a summary of the calculated data.

This option is available after the resonator has been analyzed (sliced) but only before returning to the Main menu


Output end point data

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Outputs the following data at each surface end point: position, exterior thickness, interior thickness, normalized amplitude, and normalized stress.

This option is available after the resonator has been analyzed (sliced) but only before returning to the Main menu


Output detailed data

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Outputs the following for fixed (small) increments along the resonator length: current position, exterior thickness, interior thickness, normalized amplitude, and normalized stress.

This option is available after the resonator has been analyzed (sliced) but only before returning to the Main menu


View performance results

Site map ›› Bar menu ›› Graph menu [Alt + G] ››

Shows the performance results that were displayed after the analysis was completed.

This option is available after the resonator has been analyzed (sliced) but only before returning to the Main menu


Equations menu [Alt + E]

Site map ›› Bar menu ››

The Equations section (Alt+E) provides various theoretical and empirical equations for determining the characteristics of axial, radial, and flexural resonators. It also provides other equations and databases that are useful in designing resonators.

See the Equations tree .


Help [Alt + H]

Site map ›› Bar menu ››

Accesses this document.


About [Alt + A]

Site map ›› Bar menu ››

Shows information about CARD.


Main menu (analysis)

Site map ››


Information

Site map ›› Main menu (analysis) ››

See Design procedure .


Input checklist [1]

Site map ›› Main menu (analysis) ››

The Input checklist steps through a series of sub-menus. The first sub-menu is the Resonator type which determines which additional sub-menus are available.

Important — This option should be accessed before entering the resonator shape in the Shape editor. Otherwise, your resonator may not have the proper shape (e.g., circular instead of rectangular) or the resonator's dimensions may be limited by the frequency.


Resonator type

Site map ›› Main menu (analysis) ›› Input checklist [1] ››

Select a resonator type.

See Permitted resonator types .


General requirements

Site map ›› Main menu (analysis) ›› Input checklist [1] ››

Specify the following parameters for your resonator design.

Note — Some of the following options may depend on the chosen tuning mode .

Frequency

The meaning of the frequency will depend on the tuning mode.

For calibrate mode —

Enter the measured frequency of the calibration resonator. Subsequent analysis will determine the proper wave speed calibration.

For manual tune mode —

Enter the estimated final tuned frequency. This estimate is the frequency from which CARD will start tuning. A good guess will decrease the required computer time. If unsure, use the nominal resonator frequency (e.g., for a 20 kHz resonator use 20000 Hz).

For auto-tune modes —

Enter the frequency to which the resonator will be tuned. During analysis the resonator dimensions will be automatically adjusted to achieve this frequency.

Number of half-wavelengths

Specify the number of half-wavelengths for the resonator. A resonator with one half-wavelength (one node) is most common.

Resonator output amplitude

For manual tune mode or auto-tune modes —

The amplitude at the center of the resonator's output face. Using this amplitude and the booster choice, CARD will calculate the required resonator gain. Also, the resonator's stress is directly proportional to this amplitude.

Gain

For calibrate mode —

Enter the measured gain of the calibration resonator. This will provide the proper gain calibration. If you have not measured the gain of the calibration resonator then enter 0. Then the default gain calibration factor will be used.

For auto-tune gain mode —

Enter the desired resonator gain. The resonator dimensions will automatically be adjusted to achieve this gain.

Booster

For manual tune mode or auto-tune modes —

A list of available boosters and associated gains will be shown. Pick the booster that has the desired gain. If your system does not use a booster, then choose None.

The booster gain (along with the transducer amplitude) determines the input amplitude to the horn

Horn input amplitude = transducer amplitude * booster gain

After slicing (in the manual-tune or auto-tune modes), CARD will use the horn input amplitude to calculate the required horn gain, based on the specified horn output amplitude.

Specified horn output amplitude
Required horn gain = ―――――――――――――――――――――――――――――――
Horn input amplitude

You can change the booster properties for the listed boosters at Main menu\Equipment\Resonator equipment\Booster parameters.

Temperatures

If the resonator will be operating at a temperature that is different from room temperature then these temperatures will allow a correction for the thin-wire wave speed of each material. The temperature of the resonator is assumed to vary linearly between the input and output ends. (The input and output ends are the end at the left and right, respectively, of the screen when the resonator graph is displayed.)

Note 1 — The assumption of a linear temperature distribution will only be true for an unshaped resonator. However, this assumption will give reasonable results for shaped resonators, considering that the temperatures at the input and output surfaces of the resonator are not usually well known.

Temperature at input end

The estimated temperature at the input end of the resonator.

Note 2: Each material has an equation that relates the wave speed to the temperature. (See __Link__Co_temperature_coeff Thin-wire wave speed temperature coefficients.) For each equation, there is a lower temperature limit below which the equation is not valid and an upper temperature limit above which the equation is not valid. The temperature of the resonator's input end should be between these two temperature limits for any of the materials that are used in the resonator.

Example: A resonator is made of two materials:

Material Lowest valid temperature Highest valid temperature
-------- ------------------------ -------------------------
1 -30 250
2 -10 320

Thus, the temperature of the resonator's input end should be greater than
-10 and less than 250.

Temperature at output end

The estimated temperature at the output end of the resonator. (The output end is the end at the right of the screen when the horn graph is displayed.)

Note 2: Each material has an equation that relates the wave speed to the temperature. (See __Link__Co_temperature_coeff Thin-wire wave speed temperature coefficients.) For each equation, there is a lower temperature limit below which the equation is not valid and an upper temperature limit above which the equation is not valid. The temperature of the resonator's output end should be between these two temperature limits for any of the materials that are used in the resonator.

Example: A resonator is made of two materials:

Material Lowest valid temperature Highest valid temperature
-------- ------------------------ -------------------------
1 -30 250
2 -10 320

Thus, the temperature of the resonator's output end should be greater than
-10 and less than 250.


Bar horn dimensions

Site map ›› Main menu (analysis) ›› Input checklist [1] ››


Block horn dimensions

Site map ›› Main menu (analysis) ›› Input checklist [1] ››


Cylindrical cross-slotted horn dimensions

Site map ›› Main menu (analysis) ›› Input checklist [1] ››


Face cavity

Site map ›› Main menu (analysis) ›› Input checklist [1] ››

In many cases a face cavity can be entered with interior surfaces in the Shape editor. However, this menu is appropriate when a face cavity has one or more of the following characteristics —

1.The cavity has a non-circular cross-section.

2.The cavity is not symmetric with respect to the resonator's stud axis.

3.The resonator has multiple face cavities, all of which have the same dimensions.

This menu assumes that the cavity's cross-sectional area does not change along the length of the cavity and that the cavity has a flat bottom. If a face cavity is entered from this menu then the cavity will not be displayed when the resonator's shape is displayed, even though the cavity is actually present. This is in contrast to a face cavity that is entered in the Shape editor where the cavity will be graphically displayed.

Modeling hint — To form a cylindrical, prismatic, flat-bottomed cavity that extends to the output surface of the resonator, use a stud with zero length. See stud length .

Cavity status

If Active then CARD accounts for the effect of the face cavity on resonator performance. If Inactive then the face cavity is ignored.

Number of cavities

Enter the number of cavities. Each cavity must have exactly the same dimensions.

Cavity depth

Enter the depth of the cavity, measured from the resonator's face.

Cavity area

Enter the cross-sectional area of each cavity, measured perpendicular to the stud axis. Each cavity must have the same area.

Cavity position

In the Auto-tune Length mode , specify whether the bottom of the cavity should remain fixed with respect to the back of the resonator or front of the resonator.


Resonator type

Site map ›› Main menu (analysis) ››

This status option shows the currently selected resonator type .


Tuning mode

Site map ›› Main menu (analysis) ››

This status option shows the currently selected tuning mode .


Equipment

Site map ›› Main menu (analysis) ››

View or change the equipment parameters for either the current resonator equipment or the master equipment database.


Information

Site map ›› Main menu (analysis) ›› Equipment ››

View or change the equipment parameters for either the current resonator equipment or the master equipment database. See this equipment overview .

Resonator equipment

This option shows the parameters of the current resonator equipment. You can change these parameters or get a different equipment from the \Preferences\Configuration\Master equipment database. The available equipment parameters are explained here .

Note: if any of the equipment parameters do not apply then just ignore any associated menu options. For example, if your design does not require spanner wrench holes then you don't have to enter any information related to spanner wrench holes except to set this option to Inactive.

If your equipment requirements are substantially different from those shown then you can get a different equipment configuration from the Master equipment database. For example, if the current menu shows equipment that is relevant to a 20 kHz design but you want to design a 40 kHz resonator, you can select an alternate equipment from the master equipment database. However, equipment configurations for the master equipment database must have been established in advance.

Note — Any changes that you make to the current resonator equipment will not affect the master equipment database (and vice versa).

Master equipment

Access the \Preferences\Configuration\Master equipment database to view or change the parameters of the various equipment configurations.


Master equipment

Site map ›› Main menu (analysis) ›› Equipment ››

Access the master equipment database to view or change the properties


Shape editor [v]

Site map ›› Main menu (analysis) ››

See here .


Tuning checklist [2]

Site map ›› Main menu (analysis) ››

This menu is available for either the Calibrate mode or Auto-tuning modes. Here, the surfaces that are associated with the chosen tuning mode will be selected.

Important — This option should only be accessed after you have entered the resonator shape in the Shape editor.


Calibration material

Site map ›› Main menu (analysis) ››

This status option shows the resonator material that is to be calibrated . (This material is chosen in the Tuning checklist option.)

This option lists all of the active materials in the current resonator. (For each material, the surfaces that use that material are also listed.) Choose the resonator material that is to be calibrated .

Important. This option should only be accessed after you have entered the resonator shape in the Shape editor so that all of the resonator's materials are available for selection.


Auto-tune surfaces

Site map ›› Main menu (analysis) ››

This status option shows the chosen auto-tune surfaces. (These surfaces are in the Tuning checklist option.)


Slice parameters

Site map ›› Main menu (analysis) ››

This menu sets the parameters that will be used when the resonator is analyzed (sliced) .

Slice output

Slice speed

Pause after each iteration

Pause when resonator is tuned

Tuning parameters (convergence)


Slice output

Site map ›› Main menu (analysis) ›› Slice parameters ››

As the resonator is analyzed (sliced) the following options allow different displays.

Display resonator + amplitude graph

The resonator shape is displayed in the bottom graphics window and the amplitude graph is displayed in the top graphics window.

This option is commonly chosen when adjusting the resonator's gain.

Display resonator + stress graph

The resonator shape is displayed in the bottom graphics window and the stress graph is displayed in the top graphics window.

This option is commonly chosen when auto-tuning stress.

Display resonator + stress reserve graph

The resonator shape is displayed in the bottom graphics window and the reserve stress graph is displayed in the top graphics window.

This option is commonly chosen when auto-tuning stress with static forces.

Display resonator only

Only the resonator is displayed in a single graphics window. This is less informative and is generally not preferred.

Display text only

This option is somewhat faster than slicing with graphics but is visually less informative. Choose this option only if you want to view the diagnostics during slicing. (See __Link__Keys_during_slicing keys during slicing.)


Slice speed

Site map ›› Main menu (analysis) ›› Slice parameters ››

Change the speed at which the resonator is sliced. 10 is the maximum speed; 1 is the minimum speed. Use a slower speed to more easily view the slicing process.

Regardless of the slice speed that is chosen here, various keys can be used to change the slice speed during slicing. When in doubt it is best to set a slow slice speed here and then increase the slice speed as needed during slicing.


Pause after each iteration

Site map ›› Main menu (analysis) ›› Slice parameters ››

Used during Analysis (slicing) to see how CARD is converging to a solution.

Temporarily stops the slicing at the end of each completed iteration so that the results of that iteration can be seen. Slicing can be resumed by pressing any key.

Notes —

1.This option and Pause when resonator is tuned can't both be Yes. If you set this option to Yes then Pause when resonator is tuned will automatically be set to No.

2.This setting can't be changed during slicing (i.e., slicing will pause at the end of every iteration). The only way to change this is to cancel slicing with the Esc key (which will return to the Main menu) and then reset the Pause option here. Then start the analysis process again.


Pause when resonator is tuned

Site map ›› Main menu (analysis) ›› Slice parameters ››

Used during Analysis (slicing) to see how CARD is converging to a solution.

Temporarily stops the slicing whenever the resonator is tuned so that the results at that stage can be seen. Slicing can be resumed by pressing any key.

Notes —

1.This option is appropriate when there are multiple convergence requirements, for example when the resonator is being tuned and the gain is also being adjusted . In that case the slicing would pause each time that the resonator is tuned, even if the required gain has not yet been achieved.

2.This option and Pause after each iteration can't both be Yes. If you set this option to Yes then Pause after each iteration will automatically be set to No.

3.This setting can't be changed during slicing (i.e., slicing will pause at the end of every iteration). The only way to change this is to cancel slicing with the Esc key (which will return to the Main menu) and then reset the Pause option here. Then start the analysis process again.


Tuning parameters (convergence)

Site map ›› Main menu (analysis) ›› Slice parameters ››

The following may only apply .for particular tuning modes .

Sensitivity

The sensitivity determines the calculation convergence criterion. High sensitivity (the default) may increase computing time but may also improve the accuracy. Low sensitivity may have opposite effect.

The sensitivity should always be set to high (especially in the calibrate mode ) except where the slicing won't converge.

Maximum calibration gain error

During slicing in the calibrate mode, the calculated gain will be compared to the measured gain of the calibration resonator (i.e., the gain that was specified in the General requirements menu). Slicing will stop when the percent error between these two gains is less than the allowed calibration gain error.

Using a smaller calibration gain error will improve the calibration. However, remember that the error of the measured gain is usually at least several percent. Therefore, little is achieved by setting the calibration gain error to a very small value.

If you experience convergence problems as the calibrate mode attempts to achieve the specified gain, try setting the allowed calibration gain error to a larger value.

Maximum auto-tune gain error

During slicing in the auto-tune-gain mode, the calculated gain will be compared to the gain that was specified in the General requirements menu. Slicing will stop when the percent error between these two gains is less than the allowed auto-tune gain error.

Using a smaller auto-tune gain error will give better results but will require more tuning iterations and may cause convergence problems as the auto-tune gain mode attempts to achieve the specified gain. If this happens, try setting the allowed auto-tune gain error to a larger value.

Auto-tune stress angle increment

The amount by which the angle of the auto-tune-stress surface is changed during each slicing iteration in order to equalize the stress across the auto-tune-stress surface.

A larger angle increment will give faster convergence but the stress distribution across the surface will be less-uniform. The angle increment should generally not be larger than 1º.

Maximum diameter or thickness

For the auto-tune-stress or auto-tune-gain modes, diameter or thickness of the auto-tune surface may be increased. You can specify the maximum diameter or thickness (for instance, if your raw material has a maximum diameter). If you specify 0 then this option will have no effect.


Analyze (slice) [z]

Site map ›› Main menu (analysis) ››

Analysis (slicing) of the resonator begins so that the resonator performance can be determined.

Note. This option should only be accessed after you have completed all of the required options of the Main menu. (An error check will be performed at this option. If problems are found then the analysis will not be allowed.)


Cancel analysis

Site map ›› Main menu (analysis) ›› Analyze (slice) [z] ››

Analysis may be prematurely stopped because —

•You deliberately chose to cancel slicing.

•CARD encountered a problem (e.g., non-convergence) or error (e.g., negative area).

Then you can either —

•View the current sliced results. This can help you decide whether to discard or keep the sliced resonator.

•Discard the sliced resonator and any associated changes. Then the resonator will revert to the condition before slicing began.

•Keep the sliced resonator and any associated changes. Although this resonator may have problems or errors, you can try to manually correct these.


Equations [Alt + E]

Site map ››

The Equations section (Alt+E) provides various theoretical and empirical equations for determining the characteristics of axial, radial, and flexural resonators. It also provides other equations and databases that are useful in designing resonators.


Overview

Site map ›› Equations [Alt + E] ››

Theoretical and empirical equations that may assist with resonator designs.


Axial resonance

Site map ›› Equations [Alt + E] ››


Cylindrical horns (unslotted)

Site map ›› Equations [Alt + E] ›› Axial resonance ››


Unshaped

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ››


Performance

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ›› Unshaped ››


Thin-wire stress

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ›› Unshaped ››


Conical

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ››


Exponential

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ››


Catenoidal

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ››


Spool

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Cylindrical horns (unslotted) ››


Bar horns

Site map ›› Equations [Alt + E] ›› Axial resonance ››


Bar horn uniformity

Site map ›› Equations [Alt + E] ›› Axial resonance ›› Bar horns ››


Tip force

Site map ›› Equations [Alt + E] ›› Axial resonance ››


Tuning estimate [T]

Site map ›› Equations [Alt + E] ›› Axial resonance ››


Gain estimate

Site map ›› Equations [Alt + E] ›› Axial resonance ››


Radial resonance

Site map ›› Equations [Alt + E] ››


Radial disk

Site map ›› Equations [Alt + E] ›› Radial resonance ››


Radial ring

Site map ›› Equations [Alt + E] ›› Radial resonance ››


Radial hollow sphere

Site map ›› Equations [Alt + E] ›› Radial resonance ››


Flexural resonance

Site map ›› Equations [Alt + E] ››


Rod

Site map ›› Equations [Alt + E] ›› Flexural resonance ››


Beam

Site map ›› Equations [Alt + E] ›› Flexural resonance ››


Plate

Site map ›› Equations [Alt + E] ›› Flexural resonance ››


Disk

Site map ›› Equations [Alt + E] ›› Flexural resonance ››


Torsional resonance

Site map ›› Equations [Alt + E] ››


Fatigue

Site map ›› Equations [Alt + E] ››


Piezo-ceramic calculations

Site map ›› Equations [Alt + E] ››


Acoustic radiation

Site map ›› Equations [Alt + E] ››


Piston

Site map ›› Equations [Alt + E] ›› Acoustic radiation ››


Flexure disk

Site map ›› Equations [Alt + E] ›› Acoustic radiation ››


Amplitude conversion

Site map ›› Equations [Alt + E] ››


Material properties

Site map ›› Equations [Alt + E] ››


Other

Site map ›› Equations [Alt + E] ››


Bolt dimensions [B]

Site map ›› Equations [Alt + E] ›› Other ››


Bolt force, stress, or torque

Site map ›› Equations [Alt + E] ›› Other ››


Equivalent geometry [E]

Site map ›› Equations [Alt + E] ›› Other ››

This menu calculates equivalent diameters for cross-sections that are non-circular. As supplemental information it also calculates the associated cross-sectional areas. This menu can be accessed from any location by pressing E. Some additional functionality for FEA is also included.

Original geometry | Equivalent (calculated) geometry | Typical use
Cylinder with flats | Equivalent diameter | Wrench flats
Cylinder with radial holes | Equivalent diameter | Spanner holes
Cylinder with radial slots | Equivalent diameter | Radially-slotted horn
Cylinder with axial splines | Equivalent diameter |
Rectangle | Equivalent diameter |
Oval | Equivalent diameter |
Polygon | Equivalent diameter |
Pyramid | Equivalent diameter |
Knife blade | Equivalent diameter |
Fillet radius | Equivalent chamfer | FEA — replace fillet radius with chamfer to reduce model complexity (useful to reduce the number of FEA elements at the end of a slot if slot stress information is not needed)
Air hole | Equivalent material properties | FEA — longitudinal air hole in a flange (e.g., cooling holes in a transducer flange; then individual cooling holes don't have to be modeled)

Example

Suppose you have a Ø25 mm cylinder with four flats. The minimum distance of each flat to the cylinder centerline is 10 mm. Then, you can calculate an equivalent diameter using the Cylinder with flats menu.

Input values |
Number of flats | 4
Cylinder diameter | 25.00 mm
Distance from center of cylinder to flat | 10.00 mm
Calculated values |
Net area | 388.7 mm^2
Equivalent diameter | 22.25 mm
Wrench flats: suggested max distance across flats | 21.65 mm

Thus, the four flats can be replaced by a Ø22.25 mm surface.


Cylinder with flats — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Cylinder with radial holes — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Cylinder with radial slots — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Cylinder with axial splines — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Rectangle — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Oval — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Polygon — equivalent diameter

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Pyramid — equivalent diameters

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Knife blade — equivalent diameters

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››

For a knife blade that is shaped like an arrowhead, this menu calculates an equivalent conical shape that will have the same volume. The actual blade is replaced by an equivalent 2-part cone.

•The left conical section is a truncated cone. It starts at the base and ends at the transition (truncation).

•The right conical section is a true cone. It starts at the transition and ends at the point.

•The transition is the location where the actual knife blade starts to taper toward the end point in the thickness direction. (See Graph equivalent conical shape.)

│\
│ \
│\ \
│ \ \
│ \ \
│ \ \ ←⎯ Point of blade (blade included angle)
│ / /
│ / /
│ / / ←⎯ Cutting edge
│/ /
│ / ↑
│/ +⎯⎯ Transition

↑
+⎯⎯ Base of blade

The cross-section at the base looks like ⎯

/\
│ │
│ │
│ │
│ │
⎯→ │ │ ←⎯ Blade thickness
│ │
│ │
│ │
│ │
\/

↑
+⎯⎯ Cutting edge included angle

Assumptions ⎯

1.The shape of the knife is exactly symmetric across its width and across its thickness.

2.The blade thickness is constant except where it tapers to the cutting edge and at the very end where it tapers to the blade point.

Two blade types (double edged or single edged) are available and each blade type can have either of two cutting edge types (double angle or single angle). Thus, there are four possible blade designs.

Blade type

Two blade types are available ⎯ double edged and single edged.

Double edged

A double edged blade has two cutting edges that come together at the point.

│\
│ \
│\ \
│ \ \
│ \ \
│ \ \ ←⎯ Point of blade (blade included angle)
│ / /
│ / /
│ / / ←⎯ Cutting edge
│/ /
│ / ↑
│/ +⎯⎯ Transition

↑
+⎯⎯ Base of blade

Single edged

A single edged blade has only one cutting edge that terminates at the point. The single edged blade is 1/2 of a double-edged blade.

⎯⎯⎯⎯⎯⎯ ←⎯ Point of blade (blade included angle)
│ / /
│ / /
│ / / ←⎯ Cutting edge
│/ /
│ / ↑
│/ +⎯⎯ Transition

↑
+⎯⎯ Base of blade

Cutting edge type

Two cutting edge types are available ⎯ double angle and single angle.

Double angle

For the double angle edge, the cutting edge appears like a symmetric V. The cross-section at the base looks like ⎯

/\
│ │
│ │
│ │
│ │
⎯→ │ │ ←⎯ Blade thickness
│ │
│ │
│ │
│ │
\/

↑
+⎯⎯ Cutting edge included angle

Single angle

For the single angle edge, the cutting edge is asymmetric. The single angle blade is 1/2 the thickness of a double-angle blade.The cross-section at the base looks like ⎯

\
││
││
││
││
⎯→ ││ ←⎯ Blade thickness
││
││
││
││
/

↑
+⎯⎯ Cutting edge included angle

Blade included angle

The total included angle at the point of the knife blade when looking down on the broad side of the blade.

Cutting edge included angle

The included angle that is formed at the blade's cutting edge when a plane is passed perpendicular to the cutting edge. This is the angle that is seen when sighting along the cutting edge from the point.

Blade length

The shortest distance from the base of the blade to the point of the blade.

Blade thickness

The thickness of the blade at the centerline at the base of the blade. The blade thickness is constant except where it tapers to the cutting edge and at the very end where it tapers to the blade point.

Graph actual shape

Draws the actual blade shape (looking down on the broad side of the blade.).The blade axis is horizontal.

If the blade is single edged then the entire blade width is shown. If the blade is double edged then only 1/2 of the blade width is shown (i.e., only one cutting edge is shown), since the blade is symmetric.

Graph equivalent conical shape

Draws the equivalent conical shape that has the same volume as the original knife blade.

The circle is the transition where the actual knife blade starts to taper toward the end point in the thickness direction. The transition location and equivalent conical diameter are calculated.

Graph both shapes

Draws the equivalent conical shape (dark lines) superimposed on the actual blade shape (light lines). This shows the correspondence between the two shapes.

Calculated values

Blade base width

The widest point of the actual blade (located at the base of the blade).

Equivalent diameter at base

When the actual blade is replaced by an equivalent stepped cone that has the same volume, this is the diameter at the base of the cone. Access Graph equivalent conical shape to see the equivalent conical shape.

Equivalent transition diameter

This result gives the diameter of the equivalent 2-part cone at the transition and also the distance of the transition from the base.

Note ⎯ depending on the blade dimensions, the left conical section may not exist. In this case, the transition location will be zero (i.e., at the base).

Blade volume

The total volume of either the actual blade or the equivalent conical sections.


Fillet radius — equivalent chamfer

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Air hole — equivalent properties

Site map ›› Equations [Alt + E] ›› Other ›› Equivalent geometry [E] ››


Press fit

Site map ›› Equations [Alt + E] ›› Other ››


Stress concentration factors

Site map ›› Equations [Alt + E] ›› Other ››


Von Mises stress

Site map ›› Equations [Alt + E] ›› Other ››


Linear estimate

Site map ›› Equations [Alt + E] ›› Other ››


Amplitude vector addition

Site map ›› Equations [Alt + E] ›› Other ››


Warning and error messages

Version 10.19a — Copyright © 1985-2018 by Donald R. Culp. All Rights Reserved.


Negative exterior thickness

Warning and error messages ››

At least one exterior surface has zero or negative thickness. This probably occurred when you deleted an intermediate surface; this may have caused an Arc to undercut the stud axis.

Suggestions —

1.In the Shape editor, use the F2 key (if needed) to change to the exterior surfaces.

2.Use the F9 key to view the resonator shape and locate the offending surface.

3.Modify or the delete the offending surface.

Reference — E3709


Negative interior thickness

Warning and error messages ››

At least one interior surface has negative thickness. This probably occurred when you deleted an intermediate surface; this may have caused an Arc to undercut the stud axis.

Suggestions —

1.In the Shape editor, use the F2 key (if needed) to change to the interior surfaces.

2.Use the F9 key to view the resonator shape and locate the offending surface.

3.Modify or the delete the offending surface.

Reference — E3710


Incomplete exterior surface

Warning and error messages ››

The exterior shape has not been completely entered. Use the Shape editor to enter the required surfaces.

Suggestions —

1.In the Shape editor make sure that you are entering the exterior surfaces rather than interior surfaces. (Use the the F2 key to change between entry of exterior and interior surfaces.)

2.Use the F9 key to view the resonator shape.

Reference — E3707


Unequal exterior and interior lengths

Warning and error messages ››

The X_end value of last exterior surface and the last interior surface are not equal. Use the Shape editor to fix this problem.

Suggestions —

1.Use the F9 key as needed to view the resonator shape.

2.Alternately using the F2 key to switch between the exterior and interior surfaces, scroll to the last surface to see the differences between the X_end. There are two possibilities — a) either the largest X_end is too large or b) the shortest X_end is too short.

3.Two remedies —

1.Manually lengthen or shorten any surface until the X_end of the last exterior and interior surfaces are equal.

2.If the surface with the incorrect length is the last surface (rather than an intermediate surface) and if that surface is parallel to the stud axis, then delete that last surface and use the F5 key to automatically recreate that surface with the required X_end.

4.Roundoff errors may be causing a problem (i.e., the X_end of the exterior and interior surfaces may appear to be equal but are actually slightly different due to numeric roundoff). Try deleting either the exterior or interior end surfaces (or both). Then, re-enter these surfaces or recreate them with the F5 key as described above.

Reference — E3708


Perpendicular end surface

Warning and error messages ››

The last surface of your resonator is vertical (perpendicular to the stud axis). This surface is not needed and may confuse CARD during analysis. Therefore, this surface has been deleted.

Reference — E3900


No acceptable auto-tune surfaces

Warning and error messages ››

None of the available surfaces is acceptable as an auto-tune surface in the current auto-tune mode . In the Shape editor, use the F9 key to view the resonator. Acceptable auto-tune surfaces will be displayed according to their surface line colors .

Reference — E3901


No acceptable current auto-tune surface

Warning and error messages ››

One or more of the currently selected auto-tune surfaces is not acceptable in the current auto-tune mode . These surfaces can be specified in the Tuning checklist .

Reference — E3902


No specified calibration material

Warning and error messages ››

The current tuning mode is Calibration . A calibration material has not been selected. This can be specified in the Tuning checklist .

Reference — E3910


No applied static forces

Warning and error messages ››

Static loading forces have not been applied. These can be specified in the Tuning checklist .

Reference — E3920


Known issues

The following are known issues with CARD. Except as noted, these issues will not significantly affect CARD's performance.

1.After viewing graphics, CARD no longer responds to the keyboard. This is because the graphics window has focus instead of the text window. Important — See here .

2.CARD does not accept input from the keyboard's numeric keypad. Instead, all numeric input must be done via the numeric keys at the top row of the keyboard.

3.During slicing of the resonator, when either the stress or amplitude curve is displayed along with the resonator shape, the vertical grid lines of the stress or amplitude curves may not align with the grid lines of the resonator. This problem should only occur during slicing and does not affect the results.

4.When the resonator shape is displayed, each material is shown with a distinct hatch pattern. For some resonators (especially those that are long and thin), this hatch pattern may be missing from certain sections of the resonator.

To get around this problem, draw the resonator so that the vertical axis occupies the full graphics window .

5.Some very high-gain resonators (especially those with needle-like output ends) may not converge during slicing. If this occurs, try setting the Sensitivity to Low.

If this doesn't help then flip the resonator in the Shape editor. In this flipped condition the resonator will have reverse gain. Note: the calculated values (e.g., stresses, gain, etc.) will still be defined with respect to the amplitude of the highest numbered surface, even though the resonator has been flipped.

6.After selecting the Equation option the cursor may occasionally refuse to move. If this happens, press Alt+F and then immediately press Esc to return to the Equation option.


No help available

Known issues ››

No help is currently available for this topic.


Critical issues

Known issues ››

The following issues may severely impact your ability to use CARD. Please review.

• CARD doesn't load completely

• CARD crashes

• No keyboard response

• No help in User Manual


CARD doesn't load completely

Known issues ›› Critical issues ››

In certain (undetermined) circumstances CARD may fail to load completely. The usual symptom is that the initial splash screen will display but the Main menu is never shown. Then you must make sure that all instances of the current session have been removed.

1.Open Windows Task Manager (Shift + Ctrl + Esc).

2.Click on the Processes tab.

3.See if CARD (or some variation) is listed in the Image Name column. If so —

1.Click on CARD.

2.Click on End Process.


CARD crashes

Known issues ›› Critical issues ››

If CARD crashes then an exception traceback should be displayed on the screen. This traceback will be output to file CARD_error_dump.txt. In order to resolve this problem, please send this file to CARD's author . Please also send a short description of the process that led to the crash and, if possible, the associated CARD resonator file.

Depending on the nature of the crash, CARD may remain active in memory. This may lead to unpredictable results if you try to restart CARD. To resolve this —

1.Open Windows Task Manager (Shift + Ctrl + Esc).

2.Click on the Processes tab.

3.See if CARD (or some variation) is listed in the Image Name column. If so —

1.Click on CARD.

2.Click on End Process.


No keyboard response

Known issues ›› Critical issues ››

The keyboard may fail to respond in the following circumstances —

•After viewing graphics. This is because the graphics window has focus instead of the text window. Important — See here .

•After improperly closing a graphics window. Never close the graphics window by clicking on the X in its upper right corner. This will permanently disable all keyboard input for the current session of CARD. Instead, while the graphics window is open and when the text window has focus, just press Esc.

•For a hidden popup message. In certain peculiar circumstances, a popup dialog message may occur behind CARD's text window. Then the message will not be visible. If you suspect this situation, drag the CARD window (grab the title bar) with the mouse to see if anything is underneath. You can also Alt+Tab to see open windows, including the dialog window. When the dialog window is exposed just respond as needed.

If this condition occurs it only affects CARD. All other Windows applications will not be affected.


No help in User Manual

Known issues ›› Critical issues ››

When you open CARD's User Manual you may find that the right panel is blank for every topic. Then do the following ⎯

1.Close the User Manual if it is open.

2.In Windows Explorer, right click on the User Manual file.

3.In the resulting context menu, click on Properties at the bottom.

4.In the General tab of the resulting menu, click Unblock at the bottom. Then OK.